Welcome to Calterm III

Description

Calterm III is an engineering development tool used to monitor Electronic Control Modules for Cummins engine systems and to alter the calibration data contained therein. Calterm III is designed to modify fueling calibration parameters and feature settings in an engineering development and test environment.

Purpose

The development process for electronic engines requires PC support tools which interface to the electronic subsystem, and its various feature sets. Calterm III is used to increase the productivity of the engineers developing electronic engine features by providing diagnostics, simulation, and value manipulation capabilities for Electronic Control Modules (ECMs).

As is the case with most support tools, Calterm III attempts to work with all of the features in the ECM. However, this superset of functionality is not always feasible given the rapid growth and change being experienced in Cummins’ electronic systems. As a way to try to give the most support to every electronic engine program, this tool will provide a base set of capabilities which will work on any ECM following the CORE Tools Interface standards. Customized or unique capabilities will then be added, as they are needed. Calterm III was initially designed to support the Global Tool Interface Specification, GTIS, 4.5 and Core-II based software. With the release of Calterm III, version 2.4, support for GTIS 3.8, 2.0 and pre-2 products has been included.


Authorized Users

Authorized Users

Only registered users of Calterm III are authorized to receive and install the tool. Registered Calterm III users are automatically informed by Lotus Notes/Email of all new releases and any special issues regarding the software.

To become a Registered Calterm III user, complete the Engineering Tools Order form at http://www.ctg.cummins.com/etools/orderforms. Cummins and Non-Cummins personnel may use this form. Once the request is submitted, it is subject to review and approval by the Calterm III Activation Team.


Multi-User Workstations

Multi-User
Workstations

Calterm III supports the use of multi-user workstations provided the installation and uninstallation of Calterm III is done with a Windows login that has Admin rights.

Additional information is available at http://etools.ctg.cummins.com/caltermiii.


User Level Access

Introduction

The Calterm III application is designed to support a wide variety of users and access levels. The Calterm III tool will eventually replace Calterm II, NGET, Engineering ESDN, Unlock and Field Calterm. As a result, not all users need, or are permitted to use, the full functionality of the tool. With this in mind, Calterm III comes with five user access levels.

· Level 0 (Service) Enables user with basic Field Calterm functionality

· Level 1 (Standard) Enables user with Calterm II and NGET functionality

· Level 2 (Secure) Enables user with Calterm II, NGET and Unlock tool functionality

· Level 3 (Enterprise) Enables user with Calterm II, NGET, Unlock and Engineering ESDN functionality

· Level 4 (Service Pro) Contains the same functionality as Level 0 (Service) plus the capability to Download to a secure module

Find Out More

How To Modify User Level Access


How To Modify User Level Access

Modifying User Level Access

This table outlines the steps for modifying the User Level Access in the Calterm III application.

Step

Action

1

In Calterm III, from the Tools menu, Select Options.

2

On the Options dialog box, Select the Security option, and Click <Copy>.

Result: The Security information is copied into the clipboard.

3

Paste the clipboard contents, the requested level change and your Supervisor’s contact information into a Lotus Notes message to Calterm or an e-mail message to calterm@cummins.com.

Note: Calterm III security authorizations are normally completed within two business days and require the users’ Supervisor’s approval prior to upgrade.

4

The Calterm III Activation Team completes the request and an e-mail message is returned with the activation code. Copy the activation code into the clipboard or onto a piece of paper.


Starting and Exiting Calterm III

Starting Calterm III

This table outlines the steps necessary to start Calterm III.

Step

Action

1

To start Calterm III, DoubleClick the Calterm III icon on the Windows Desktop, or from the <Start> button, Select Programs-Engineering Tools-Calterm III.

Result: Depending on the startup setting defined under Options, the Select Product, Select Module or Select Calibration dialog box will display.

2

Highlight the appropriate Product.

3

Click <Browse> to locate the appropriate configuration and/or calibration file.

4

When the appropriate ECM product, configuration file and calibration file have been selected, Click <OK>.

Result: The application opens to the Calterm III window and loads the appropriate session.

Exiting Calterm III

This table outlines the steps necessary to exit the Calterm III application.

Step

Action

1

To exit Calterm III, from the File menu, Select the Exit option or Click on the close “X” icon located in the upper right hand corner of the application.

Note: If there is any unsaved work, Calterm III will notify the user to save the work before exiting.

2

If necessary, follow the instructions to save your work.

Result: The Calterm III application closes.


How To Report Errors

Introduction

If you encounter errors that you are unable to resolve you should submit a PR/CR through the ClearQuest System. Customers are the best resource available for the accurate development, implementation and revision of any product. Without satisfied customers, no product support group has a reason to exist. Therefore, we want your feedback! Your experiences, both good and bad, are the driving force behind improved revisions of an existing product and the vision for new tools in the future. If you have issues, please submit a PR/CR in the ClearQuest System. A web-version is available at http://etools.ctg.cummins.com

PR/CR

If you have any questions regarding the installation and setup of Calterm III, then please contact the undersigned or send a Lotus Note to "calterm" or an email message to Calterm@cummins.com

If you encounter any problems while using this version of Calterm III or would like to see something changed in the way the tool operates, then please

Submit a Problem Report/Change Request (PR/CR) using the ClearQuest PR/CR system. Using the DB_G database, assign new PR/CRs to the product

"Calterm III" in the "ETIPS_ETOOLS" project. If you do not have direct access to the ClearQuest PR/CR system, you may submit a PR/CR using the form on this web page:

http://ctcxsp0001.ctg.cummins.com/cqweb/logon/default.asp

(User Name = guest, Password = guest)

Note: Please include the appropriate information in the Anonymous user information applet. Updates to the submitted PR/CR will be sent to you via Lotus Notes or standard e-mail when the status of the submitted PR/CR changes.

To verify your PR/CR is promptly reviewed, please send the number assigned to your PR/CR in a Lotus Note to "Calterm" or an email to Calterm@cummins.com

Calterm III Website

The Engineering Tools web site on the intranet is located at

http://etools.ctg.cummins.com/caltermiii


Hardware

Introduction

Before Calterm III can be used, the following hardware pieces must be setup:

· IBM compatible PC

· Datalink Adapter

· ECM and power

· Cabling

Find Out More

Hardware Requirements

Datalink Adapters

How To Order Hardware


Hardware Requirements

Hardware Requirements

This table outlines the hardware requirements for running the Calterm III tool.

Minimum

Preferred

Operating System *

Windows 98SE

Windows XP

RAM

256M bytes

1G bytes

CPU

Intel Pentium IV

Intel Pentium IV

CPU Speed

1.0 GHz

1.8 GHz

Video Display Screen Resolution

800 x 600 pixels

1024 x 768 pixels

Hard drive space on C required for Microsoft .NET Common Language Runtime (CLR), version 1.1

Hard drive space on C required to install Calterm III Common Components

150 MB

100 MB

150 MB

100MB

Hard drive space for Calterm III application on user selected drive

Recommended hard drive space for associated Calterm III data

30 MB

500 MB

30 MB

1 GB

The Calterm III installation software and application software is supported under Windows 98, NT or XP. Calterm III may run under Windows ME. However, some problem reports have been submitted when operating under Windows 2000. Calterm III will not operate under Windows 95.

Due to resource and software development considerations, it is strongly urged that Calterm III be used with Windows XP.


Datalink Adapters

Datalink Adapters

One of the following Datalink Adapters is required for Calterm III to communicate with an ECM.

Datalink Adapter

Part Number

Protocols

Cummins Inline II (firmware version 9.28 and above)

3162846

J1939

Peak System PCI-CAN*

J1939

Peak System USB-CAN*

J1939

Peak System Parallel-CAN*

J1939

Softing CANcard2**

J1939

Softing CAN-AC2**

J1939

Cummins Inline 4/5 using RP-1210A***

J1939

Note to PowerSweep users

The installation of driver software typically requires Admin privileges.

Peak Systems and Softing drivers are available through the Software Shelf system. For additional information see the website: http://etools.ctg.cummins.com/caltermiii

*The user is responsible for installing and maintaining Peak-System drivers to work with the Calterm III application. PeakSystems and Cummins have developed an All-in-One driver package that is available for PowerSweep users through the Software Shelf System. For non PowerSweep users, Peak System drivers are available at the Engineering Tools website at http://etools.ctg.cummins.com/caltermiii, and Chapter 8: Appendices of this user manual contains additional instructions.

** Calterm III will only operate with the Softing 4.X drivers and above.

Softing CAN drivers are available at:

http://softing.com/en/communications/downloads/software/can/can_l2_driver_dl.htm

For further information, see the website http://etools.ctg.cummins.com/caltermiii and Chapter 8: Appendices in this user manual for additional instructions.

*** The user is responsible for installing and maintaining any RP1210A System drivers to work with the Calterm III application.


Ordering Hardware

Ordering Hardware

For more information on ordering the hardware pieces required to run Calterm III, please see the Engineering Tools website at: http://etools.ctg.cummins.com


Navigation

Introduction

The Calterm III environment is made up of a main window, application windows, dialog boxes and menus. The Calterm III window, along with its menu system, display whenever the Calterm III application is active. Application windows, configuration wizards and dialog boxes display as the Calterm III tool is used.

Find Out More

The Calterm III Window

Application Windows and Dialog Boxes

Keyboard Navigation

Keyboard Shortcuts


The Calterm III Window

Calterm III Window

The Calterm III Main Application window, from now on referred to as the Calterm III window, displays anytime the Calterm III application is active. This diagram and table describe the elements of the Calterm III window.

Name

1

Menu bar

The pull-down menus on the menu bar are available whenever the Calterm III window is active. If a modal application, information window, or dialog box is currently active then the menus from the Calterm III window are not available.

2

Icon bar

The Icon Bar consists of functional items that can be selected during a module or file editing session. Functional descriptions of each icon are available when the mouse cursor is placed over the icon.

3

Module Monitor window

The Module Monitor window is divided into two parts. The top section consists of the Screen Filename, Screen Name, Monitor Mode, Desired Frequency, and Actual Frequency statistics. The bottom section contains two grids per screen. Each screen panel displays module addresses, parameter names, values and units of user-selected data using one of four modes of delivery: Request/Receive, BAM (Broadcast Announce Message), IDL (Internal Data Logger) or EDM (Engineering Data Monitor).

4

Product Information window

The Product Information window displays the Source Address number for the current module. In addition, the grid contains information on the Calibration version, Calibration type, Configuration version, Configuration filename, Product ID selected, Actual Product ID, DLA firmware, Bootloader version, Run Location, ECM Part Number and ECM Serial Number. Fields within the Product Information window are populated depending upon the current mode of operation of the Calterm III tool.

5

Event Log window

The Event Log window displays the Type, Source and Description of events or messages that have occurred during a Calterm III session. The most recent events or messages are displayed at the top of the grid during operation. The Event Log has the option to save event messages after the current session has ended.

6

Faults window

The Faults window displays the Source Address and Fault Code numbers, (both active and inactive), that occur during a Module Monitor session. The Faults window supports multiple module products by differentiating the source address of the module in which the fault is occurring.

7

Status bar

See Status Bar


The Status Bar

Status Bar

This diagram and table describe each element of the status bar on the Calterm III window.

Name | Description
Calibration Status | This area displays the current Security Status of a module or calibration file. A locked padlock indicates the module or calibration file has a secure status. An unlocked padlock indicates a non-secure status, and a question mark indicates an unknown status.
Functional Comment | This area provides functional comments during the session.
ChangeLock Status | The ChangeLock Status indicates if the Calterm III tool has permission to make changes within the module’s memory locations. If Calterm III owns the ChangeLock a ‘pen’ icon is displayed in the Status bar. If Calterm III does not own the ChangeLock, a ‘pen’ with the universal circle with a line ‘No’ icon is displayed.
Logging Status | This area provides status of a Logging session. When active the status is set to ON/green and when inactive the status is set to OFF/red.
Connection Status | This area displays the communication status during a Module session. When active the icon blinks green and when inactive a Stop icon is displayed.


Application Windows and Dialog Boxes

Modal Applications

Modal applications are windows that shift the focus away from the Calterm III window. The Help About window is an example of a modal application window. Most applications and windows in Calterm III are primarily modal. Modal applications must be completed or closed before focus can be shifted back to the Calterm III window.

This diagram illustrates the Help About Cummins Calterm III window.

Dialogs Boxes

Dialog boxes are pop-up windows that do not permit the focus to be moved to another window while remaining open. Dialog boxes may be moved, but cannot be resized or minimized. Examples of dialog boxes include the Product Selection dialog box, the Options dialog box, and the Calibration Download dialog box.

This is an example of the Options dialog box.


Keyboard Navigation

Keyboard Navigation

This table outlines the specific key combinations that can be used to navigate within the Calterm III environment.

Key

Action

alt+Mnemonic

This key combination navigates to and selects or operates a control. The mnemonic letter can be pressed with alt if the current focus does not capture character input.

tab

This key moves the focus to the next control. The order of movement is left to right and top to bottom, unless there is a more logical order defined within the context of the operation.

shift+tab

This key combination moves the focus to the preceding control. Order of movement is right to left and bottom to top, (which is the reverse of tab), unless there is a more logical order defined within the context of the operation.

spacebar

This key selects or operates a command button, radiobutton, or check box that has the focus (equivalent to a mouse click on the control).

In a text box, combo box, or spin box, this key inserts a space character.

Arrow Keys

In a text box, these keys move the insertion point left and right.

In a group of radiobuttons, these keys select the next button, and wrap around at the top and bottom of the group.

In a list box, these keys select the next item. They stop at the top and bottom of the list.

alt+downarrow

alt+uparrow

These key combinations toggle the state (collapsed or expanded) of active dropdown lists or dropdown combo boxes.

Alphanumeric key

As a mnemonic, these keys navigate to and select or operate controls. The mnemonic letter can be pressed without alt if the current focus does not capture character input.

In a list box, these keys select the next item beginning with the character.

If typed as first character in the text field of a combo box, these keys scroll down the list to the first item beginning with the character.

enter

This key presses the default push button, (typically <OK>), if one is implemented. Otherwise, it presses the selected command button.

esc

This key presses the <Cancel> or <Close> button.


Keyboard Shortcuts

Introduction

One of the design goals of the Calterm III tool is to provide a functional interface for all users. In certain circumstances, particularly in field applications, it is not feasible to use a mouse. The Calterm III tool has incorporated many keyboard shortcuts, based on those used in Calterm II, for many of its features and options.

Keyboard Shortcuts

This table describes the keyboard shortcuts currently available in Calterm III.

Shortcut | Functional Description
General Navigation |
tab | Move to a different section of a window. If in the last section of a window, the focus will be shifted to the next window.
Arrow Keys | Move to a different field within the active window.
alt+tab | Move to the next open application.
esc | Close or Exit the Calterm III application.
Calterm III Menus |
alt+f | Opens the File menu
alt+e | Opens the Edit menu
alt+v | Opens the View menu
alt+m | Opens the Monitor menu
alt+l | Opens the Logging menu
alt+o | Opens the Commands menu
alt+c | Opens the Calibration menu
alt+t | Opens the Tools menu
alt+h | Opens the Help menu
Calterm III Functions |
f1 | Opens the Parameter Query dialog box
f2 | Saves the current Screen window
f7 | Toggle Run Location (pre-GTIS 4.5 products) Toggle Change Lock (GTIS 4.5 products)
f8 | Display address for parameter location
f10 | Display all shortcut keys
f11 | Switch modules
f12 | Reconnect ECM
alt+f7 | Next monitor screen
shift+alt+f7 | Previous monitor screen
shift+f10 | Display shortcut (context) menu
alt+¬ | Move backward between tab controls
alt+® | Move forward between tab controls
alt+letter | Activate the menu bar and open the selected menu
alt+p | Move the focus to the location where additional modules are added and opened
alt+r | Rotate backwards through the current screens
alt+uparrow | Increment the selected calibration value
alt+downarrow | Decrement the selected calibration value
pgup | Increment
pgdn | Decrement
ctrl+pgup (editor) | Move forward between tab controls
ctrl+pgdn (editor) | Move backward between tab controls
ctrl+pgup (monitor) | Increment the selected array index
ctrl+pgdn (monitor) | Decrement the selected array index
ctrl+a | Select all the items in a particular location
ctrl+c | Copy the selected items to the PC's clipboard
ctrl+F | Toggles the display of the Faults window
ctrl+h | Opens the Calterm III Help file
ctrl+i | Display the calibration value properties shortcut menu
ctrl+l | Starts or Stops the Logger depending on current state.
ctrl+m | Toggle the Datalink communication
ctrl+o | Open the dialog window to select a new configuration file and module or calibration file
ctrl+r | Rotate forwards through the current screens
ctrl+s | Save the current modified calibration file, subfile, or import/export file
ctrl+v | Paste the items stored in the PC's clipboard
ctrl+x | Remove the selected items and copy them to the PC's clipboard
tab | Navigate forward within a window's parameter list
shift+tab | Navigate backward within a window's parameter list
ctrl+tab | Navigate forward between two or more panes or palettes in a window
ctrl+shift+tab | Navigate backward between two or more panes or palettes in a window
delete | Delete/remove the selected items
esc | Close any window or display box that currently has the focus. If the Calterm III window currently has the focus, the application closes.


Calibrations

Introduction

Calibrations are the basis of the Calterm III environment. All actions such as monitoring, logging and editing are performed on the data contained in a calibration regardless of it’s location in the module or on a computer hard drive. In the Calterm III User’s Manual, the word Calibration is used to describe the software used within the module to control the engine system. However, the calibration can be in the module, or saved to a hard-drive. In addition, a calibration can be divided into subfiles or import/export data files.

Find Out More

Option Descriptions

How To Set Options

Managing Calibrations


Option Descriptions

Introduction

The settings available in the Options dialog box permit the user to customize their Calterm III application. There are multiple settings available in each section of the Options dialog box. The individual settings are described in this section.

Find Out More

General Options

Auto Start Options

Datalink Options

Logging Options

Log Header Options

Fault Monitor options

SPEED Transfer options

Data Monitor Options

IDL Logging Options

Security Options

Verify Options


General Options

General Options

This table describes the General section options.

Setting | Option | Description
Display | Faults | If checked, the Faults window will display during a Module session.
Range Preferences | Enforce Range Limits | If selected, attempts to write a value that exceeds the Min/Max value are ignored and the current value is displayed. Note: Range limits pertain to the Min/Max values defined in the configuration file.
 | Clip to Range Limits | If selected, attempts to write a value that exceeds the Min/Max value will be clipped to either the minimum or maximum value for that parameter.
 | Ignore Range Limits | If selected, attempts to write a value that exceeds the Min/Max value will be written provided it does not exceed the parameter’s physical limit, represented in hexadecimal.
Report Format | Output Format | Global default type for all reports. The user can select between HTML, XML or TXT formats.
 | Check ascending order for array parameters | If checked, the tool checks and warns user if table entries do not follow ascending rules.
 | Auto Request Change Lock | If checked, Calterm III will request the ChangeLock at the beginning of the module session.


Auto Start Options

Auto Start Options

This table describes the Auto Start options.

Settings | Option | Description
Startup Mode | Manual or Automatic | If Manual is selected, the Startup option dialog box displays when the tool is opened. If Automatic is selected, the tool uses the last startup option used.
Startup Option | Product Selection | If selected, the Select Product dialog box displays at startup. This setting is useful if the user is primarily concerned with non-Module or Calibration/Subfile editing functionality.
 | Calibration Edit | If selected, the Select Calibration dialog box displays at startup in preparation of a calibration editing session.
 | Subfile Edit | If selected, the Select Subfile dialog box displays at startup in preparation of a subfile editing session.
 | Connect to Module(s) | If selected, the Select Module dialog box displays at startup. This setting is useful if the user is primarily concerned with module communications. If selected, the Connect options can be set, including running the Module Monitor, with or without logging, or the Module Editor at startup.
 | None | If selected, no Select dialog box displays at startup. The Calterm III window will open in standby mode.


Datalink Options

Datalink Options

This table describes the Datalink options.

Setting | Option | Description
Basic | Protocol | Select from the J1708 and J1939 protocols.
 | Adapter | Select from InLine II, RP-1210A, AC-2, CANCard and Peak Systems CAN adapters.
 | CAN Speed | Select from 250 kbps and 500 kbps
 | Port | Select from COM ports 1-8 and CAN ports 1-2.
Advanced | Block Transfer Mode | If checked, large sets of data are permitted to be transferred from the module at one time, thus increasing efficiency.
 | AutoStop Broadcast | If checked, the Stop Broadcast command is sent to the module at the start of the session.
 | Auto Reconnect | If checked, the tool attempts to reconnect to the module if the session has been compromised.
 | J1939 Device Address | This option permits the user to specify the device address for a module monitor session.
 | J1939 Tool Address | This SAE J1939 option permits the tool to connect with modules interactively. In most instances Calterm III should use the 0xF9 setting.


Logging Options

Logging Options

This table describes the Logging options.

Setting | Option | Description
 | Log PC Time | If checked, the PC timestamp will be included in the logger data file.
 | Log active faults | If checked, active Fault data is captured in the logger datafile.
 | LogFile prefix | The Default Prefix sets the beginning string of the logger data filename. The logger filename will begin with the Default prefix followed by a date/time string, a unique number and user-selected file extension.
Log Rate | Log Data when any Data Received | This option is used when any amount of logger data is received by the Calterm III tool regardless if the complete logging list has been captured.
 | Log Data when all Data Received | This option is used when the logger data should reflect when all of the logger data has been received by the Calterm III tool.
 | Log Data at Specified Interval | This option is used when the logger data should be recorded based on a user-defined time interval. This option is useful when the user wants to log data at a slower rate than the current monitor rate.
 | Log Rate | The value and units become active in this section when the Log Data at Specified Interval option is used. The user can define the rate and units in milliseconds[ms] or Hertz[hz].
 | User Specified File | If selected, the user defined log file will be used for logging, possibly overwriting it each time.
 | Default format | Options for logger data formats are HTML, CSV, TXT and XML.
 | Delete oldest file on media full | If selected, the log file is overwritten if the media becomes full.
 | Log file Path | Permits the user to select a path other than the default product folder.
Log File Options | Create multiple… / Create only one… | Selects whether multiple log files will be created based on the user defined Max file size, or if only one log file will be created. If only one log file is to be created, the remaining Log File options become available.
 | Display Log file | The Display Log File option opens the Logger datafile after the Logger is stopped.
 | Display Save As file dialog | If checked, the Logger Save As dialog box displays when the Logger is stopped.
 | Auto Numbering | If selected, the logger filename number increments by 1 unit for each session.


Log Header Options

Log Header Options

This table describes the Log Header options.

Setting | Option | Description
 | Notes | The notes section permits the user to include a description of logger data recorded.
 | Include Logfile Version | If checked, the Calterm III version number of the logger will be included in the header.
 | Device Address | The Device Address section permits the user to designate which module to request data from. This option would have different Device Addresses when using a multiple module engine program. In most instances the device address 00 will be used for single module engine programs.
 | Parameter name | The Parameter Name section permits the user to select module parameter(s) to be included in the header area of the logger data file.


Fault Monitor Options

Fault Monitor Options

This table describes the Fault Monitor options.

Setting | Option | Description
Fault Monitor Preference | Show Fault Description | If checked, the module’s Fault Code information displays in the Fault Information window.
 | Show Device Address | If checked, the module’s Device Address displays in the Fault Information window.
 | Show Fault Count | If checked, the Fault Count displays in the Fault Information window. Note: A Fault count is the amount of times a Fault has been detected active.
 | Show Fault Status | If checked, the Fault Status displays in the Fault Information window. Typically, a Fault Status will be Active or Inactive.
Monitor Options | Monitor all Modules | If selected, multi-module products are permitted to receive Fault data for all modules connected during a session.
 | Monitor the current module | If selected, multi-module products only receive Fault data for the active module selected from the Product Information window.
 | Fault Database | This option defines the database and location to use for the fault descriptions. Calterm III includes the fault database as part of its distribution.
 | Fault Frequency | This option permits the user to set the rate for polling fault data from 2 to 1800 seconds.


SPEED Transfer Options

SPEED Transfer Options

This table describes the SPEED Transfer options.

Setting | Option | Description
 | SPEED Server Download Pathname | This option permits the user to set a unique path to the SPEED Download Server. Changing this option may become necessary if not connected to the Cummins Intranet.
 | SPEED Server Upload Pathname | This option permits the user to set a unique path to the SPEED Upload Server. Changing this option may become necessary if not connected to the Cummins Intranet.
 | Default Download Report File | This option permits the user to set the filename prefix for the SPEED Download report. Typically, a SPEED Download report filename will contain the default prefix followed by a unique number and user-selected file extension.
 | Default Upload Report File | This option permits the user to set the filename prefix for the SPEED Upload report. Typically, a SPEED Upload report filename will contain the default prefix followed by a unique number and user-selected file extension.
 | Report Format | This option permits the user to select the format type for the SPEED Download and Upload reports. The Report format options are HTML, TXT and XML.


Data Monitor Options

Data Monitor Options

This table describes the Data Monitor options.

Setting | Option | Description
Refresh Rates | Request/Receive, BAM, IDL, Screen | This option sets the global value refresh rates for each monitoring type when adding a new screen. Individual screens can have alternate refresh rates.
Lost Connection Detection | Enable Minimum | If checked, the user sets the minimum time to wait before the tool declares a lost connection.
 | Factor | This option allows the user to set a factor of the average update rate to add to the Enable Minimum rate to determine a lost connection.
 | Show Parameter Comments | If selected, configuration comments display in the Module Monitor window.
 | Auto Open Screen File | If checked, the screen file last used opens at startup.
 | BAM Trigger | This option declares the type of trigger used to initiate BAM. Options include Engine Speed, Road Speed, Turbo Speed, Clock and Frame.


IDL Logging Options

IDL Logging Options

This table describes the IDL Logging options.

Setting | Option | Description
 | Trigger Mode | This option declares the type of trigger used to initiate the IDL. Options include Engine Speed, Road Speed, Turbo Speed, Clock and Frame.
 | Refresh Rate | This option permits the user to select the rate of data recorded in the IDL memory. Refresh rates should be set at 5[ms] intervals.
IDL Stop Mode | Stop, Center, Fill | This option declares the data collection method used when stopping the IDL session.
 | Auto Transfer IDL Buffer | When selected, the IDL buffer will automatically be sent to the tool when ready. If the option is turned off, then a manual retrieve button will be available on the icon bar after the IDL has been stopped.


Security Options

Security Options

This table describes the Security options.

Setting | Option | Description
 | Security Information /Copy | The Calterm III Security Information window provides the data required when requesting a User Level Access modification. The <Copy> button duplicates the entire contents of the Information window to the OS clipboard. This aids the user in providing the correct information when sending a request through Lotus Notes or e-mail. See the Security section in Chapter 1 for additional details.
 | Update Security/Activation Code | This field provides the area for a new activation code when modifying the User-Level Access or Security level. The <Apply> button applies the updated security code, but Calterm III must be restarted to take affect.


Verify Options

Verify Options

This table describes the Verify options.

Setting | Option | Description
Verify | Output Format | This option allows the user to set the format used for the Verify report. Options include XML, HTML and TXT report formats.
 | File Prefix | This section declares the prefix name for the Verify report. Typically the Verify report will append the string, _000.vfy.UserFormat, to the end of the prefix name. The _000 is an auto-incrementing number, the vfy represents a Verify report and the UserFormat is the type of report output selected.
 | Display Output Report | If checked, the Verify report displays at the conclusion of an Unstructured Assemble and Verify execution.


How To Set Options

Introduction

The settings available on the Options dialog box permit the user to customize their Calterm III application. When options are changed and saved, they are dynamically set meaning the application does not need to be restarted for the changes to take affect.

Setting Options

This table outlines the steps for setting Calterm III options.

Step | Action
1 | From the Tools menu, Select Options. Result: The Options dialog box opens at the General options.
2 | Review and Modify the settings for the General options.
3 | Click on the Auto Start option.
4 | Review and Modify the settings for the Auto Start options.
5 | Click on the Datalink option.
6 | Review and Modify the settings for the Datalink options.
7 | Click on the Logging option.
8 | Review and Modify the settings for the Logging options.
9 | Click on the Log Header option.
10 | Review and Modify the settings for the Log Header options.
11 | Click on the Fault Monitor option.
12 | Review and Modify the settings for the Fault Monitor options.
13 | Click on the SPEED Transfer option.
14 | Review and Modify the settings for the SPEED Transfer options.
15 | Click on the Data Monitor option.
16 | Review and Modify the settings for the Data Monitor options.
17 | Click on the IDL Logging option.
18 | Review and Modify the settings for the IDL Logging options.
19 | Click on the Security option.
20 | Review and Modify the settings for the Security options.
21 | Click on the Verify option.
22 | Review and Modify the settings for the Verify options.
23 | When all the appropriate settings have been made, Click <OK>. Result: The Options dialog box saves the customized settings.


Managing Calibrations

Introduction

To use Calterm III, the user must declare a product and calibration environment during the startup. After the initial startup, Calibrations can be opened, monitored, saved, modified, compared, documented, exported, filtered, overlaid, and uploaded or downloaded to the module or SPEED server.

Note: The term “Calibration” refers to all environments, regardless of type.

Calibration environments include module monitoring, module editing, module hex editing, calibration editing, calibration hex editing and product specific tasks that do not require communication to the module or an active editing session with a static calibration or subfile.

Find Out More

Product Sessions

Module Sessions

Calibration Sessions

How To Download to Module

How To Upload to Module


Product Sessions

Introduction

The Calterm III tool requires the user to declare the type of calibration session to be run. When implementing a Product session, the user can opt to perform a SPEED Download or Upload, Compare Files, Document Files, Generate an Export File, Overlay, Divide, Assemble, CRC files or view previous reports. Product sessions are useful when the user wants accomplish tasks that are not directly associated with a Module session or calibration file editing.

Find Out More

How To Run a Product Session At Startup

How To Run a Product Session After Startup


How To Run a Product Session At Startup

Running a Product Session at Startup

This table outlines the steps for opening and configuring a Product session at startup.

Step | Action
1 | Verify that the Product Selection option is selected on the Auto Start section of the Options dialog box.
2 | From the Windows Desktop, DoubleClick the Calterm III icon. Result: The Select Product dialog box displays.
3 | Highlight the appropriate Engineering product.
4 | When the appropriate Engineering product has been selected, Click <OK>. Result: The Calterm III application opens with the Product session active.


How To Run a Product Session After Startup

Running a Product Session After Startup

This table outlines the steps for opening a Product session after starting a Calterm III session.

Step | Action
1 | At the Calterm III window, from the File menu, Select the Close option. Result: The active session closes to a Calterm III Standby window.
2 | From the File menu, Select the Select Product option. Result: The Select Product dialog box displays.
3 | Select the appropriate Engineering product, and Click <OK>. Result: The Calterm III application opens with the Product session active.


Module Sessions

Introduction

The Calterm III tool requires the user to declare the type of calibration session to be run. When implementing a Module session, the user can monitor module data, log module data, or edit module data. Once the Module session is open, the user can move between the Module Monitor, Module Editor or Module Hex Edit modes by switching the focus from the View menu.

Find Out More

How To Run a Module Session at Startup

How to Run a Module Session After Startup


How To Run a Module Session at Startup

Open Module Session at Startup

This table outlines the steps for opening and configuring a Module session at startup along with switching the focus between the Module Monitor, Module Editor and Module Hex Editor modes.

Step

Action

1

Verify that the Connect to Module(s) option is selected on the Auto Start section of the Options dialog box.

2

From the Windows Desktop, DoubleClick the Calterm III icon.

Result: The Select Module dialog box displays to the Product tab.

3

Highlight the appropriate Engineering product.

4

Click <Browse> to locate and select the appropriate configuration file.

5

Click on the Datalink tab.

Result: The Datalink section of the Select Module dialog box displays.

6

Verify the following options are correct.

· Protocol

· Adapter

· CAN Speed

· Port

· Block Transfer Mode

· AutoStop Broadcast

· Auto Reconnect

· J1939 Device Address

· J1939 Tool Address

6

When the appropriate Engineering product, configuration file and Datalink settings are correct, Click <Automatic>.

Note: The Manual connection is used when communicating with a single module located in a multi-module network or when using an alternative Server like ASAM or CUTY.

Result: The Calterm III application detects modules on the J1939 network and opens with the Module Monitor active.

7

To switch between the Module Monitor, Module Editor, and Module Hex Editor modes, Select the desired option from the View menu.

Result: The focus switches to the selected view.

8

To close the Module session, from the File menu, Select the Close option.

Result: The Module session closes and Calterm III goes into standby mode.


How To Run a Module Session After Startup

Open Module Session After Startup

This table outlines the steps for opening and configuring a Module session after startup along with switching the focus between the Module Monitor, Module Editor, and Module Hex Editor modes.

Step

Action

1

At the Calterm III window, from the File menu, Select the Close option.

Result: The active session closes and Calterm III goes into standby mode.

2

From the File menu, Select the Open Module option.

Result: The Select Module dialog box displays.

2

Highlight the appropriate Engineering product

3

Click <Browse> to locate and select the appropriate configuration file.

4

Click on the Datalink tab.

Result: The Datalink section of the Select Module dialog box displays.

5

Verify the following options are correct.

· Protocol

· Adapter

· CAN Speed

· Port

· Block Transfer Mode

· AutoStop Broadcast

· Auto Reconnect

· J1939 Device Address

· J1939 Tool Address

6

When the appropriate Engineering product, Configuration file and Datalink settings are correct, Click <Automatic>.

Note: The Manual connection is used when communicating with a single module located in a multi-module network or when using an alternative server like ASAM or CUTY.

Result: The Calterm III application detects modules on the J1939 network and opens with the Module Monitor active.

7

To switch between the Module Monitor, Module Editor, and Module Hex Editor modes, from the View menu, Select the appropriate option.

Result: The focus switches to the selected view.

8

To close the Module session, from the File menu, Select the Close option.

Note: If changes have been made during the module editing or module hex editing sessions, an information window will display prompting the user to execute the Save Changes, Hold Changes or Cancel Changes command to the module. If necessary, follow the instructions.

Result: The Module session closes Calterm III goes into standby mode.


Calibration Sessions

Introduction

The Calterm III tool requires the user to declare the type of calibration session to be run. When implementing a Calibration session, the user can opt to edit Calibration files. In File Edit mode, full calibration or subfile editing is supported. Once the Calibration session is open, the user can move from the Editor to the Hex Editor by switching the focus from the View menu.

Find Out More

How To Run a Calibration Session At Startup

How To Run a Calibration Session After Startup


How To Run a Calibration Session At Startup

Open a Calibration Session at Startup

This table outlines the steps for opening and configuring a Calibration session at startup along with switching the focus between the Calibration File Edit and Calibration Hex Editor modes.

Step | Action
1 | Verify that the Calibration Edit or Subfile Edit option is selected on the Auto Start section of the Options dialog box.
2 | From the Windows desktop, DoubleClick the Calterm III icon. Result: The Select Calibration dialog box displays.
3 | Highlight the appropriate Engineering product.
4 | By the Select a configuration file section, Click <Browse…> to locate and select the appropriate configuration file.
5 | By the Select a calibration file field, Click <Browse…> to locate and select the appropriate calibration file or subfile.
6 | When the appropriate Engineering product, configuration file, calibration file or subfile has been selected, Click <OK>. Result: The Calterm III application opens with the Calibration file Editor active.
7 | To switch between the Calibration Editor and the Calibration Hex Editor, from the View menu, Select the appropriate option. Result: The focus switches between the Calibration Editor and the Calibration Hex Editor.
8 | To close the Calibration session, from the File menu, Select the Close option. Result: The Calibration session closes and Calterm III goes into standby mode.


How To Run a Calibration Session After Startup

Open a Calibration Session After Startup

This table outlines the steps for opening and configuring a Calibration session after startup along with switching the focus between the Calibration File Editor and Calibration Hex Editor.

Step | Action
1 | On the Calterm III window, from the File menu, Select the Close option. Result: The active session closes and Calterm III goes into standby mode.
2 | From the File menu, Select the Open Calibration or Open Subfile option. Result: The Select Calibration or Select Subfile dialog box opens.
2 | Highlight the appropriate Engineering product.
3 | By the Select a configuration file field, Click <Browse…> to locate and select the appropriate configuration file.
4 | By the Select a calibration file field, Click <Browse…> to locate and select the appropriate calibration file or subfile.
5 | When the appropriate Engineering product, configuration file, calibration file or subfile has been selected, Click <OK>. Result: The Calterm III application opens with the Calibration Editor active.
6 | To switch between the Calibration Editor and the Calibration Hex Editor, from the View menu, Select the appropriate option. Result: The focus switches between the Calibration Editor and the Calibration Hex Editor.
7 | To close the Calibration session, from the File menu, Select the Close option. Result: The Calibration session closes and Calterm III goes into standby mode.


How To Download a Calibration to Module

Introduction

The Calterm III tool provides the ability to download a calibration (software) from the computer’s storage area to specific memory locations in the Module.

Download to Module

This table outlines the steps for downloading a calibration to the module.

Step | Action
1 | If necessary, Start a Module session.
2 | From the Calibration menu, Select the Download option. Result: An information window displays a warning that module monitoring will stop during the download.
3 | Click <OK> to proceed with the download to the module. Result: The Calibration Download Setup dialog box displays.
4 | If working with multiple modules, in the Module field, Select the appropriate module location from the dropdown list.
5 | In the Configuration field, Click the < …> button to locate and select the appropriate Configuration file. Result: The path and filename for the Configuration file is listed in the Configuration field.
6 | In the Calibration section, Click the < …> button to locate and select the appropriate Calibration file. Result: The path and filename for the Calibration file is listed in the Calibration field.
7 | Click <OK>. Result: The Transfer Progress dialog box displays the status of the download, concluding with the Module session restarting.


How To Upload a Calibration from Module

Introduction

The Calterm III tool provides the ability to upload a calibration (software) from a module’s specific storage area to user defined storage area, usually located on the computers hard drive or common Network drive. When working with real engine systems, the typical workflow begins with making changes to parameter values located within the module. When the appropriate changes have been made, the user uploads the calibration from the module and saves it to a local or network drive. Then the amended calibration can be downloaded into the module for permanent storage. In addition, the calibration can be processed and distributed to additional modules eventually ending in the customer’s engine application.

Upload from Module

This table outlines the steps for uploading a calibration from the module to a user-defined drive location.

Step | Action
1 | If necessary, Start a Module session.
2 | From the Calibration menu, Select the Upload option. Result: An information window displays a warning that module monitoring will stop during the upload.
3 | Click <OK> to proceed with the upload from the module. Result: The Calibration Upload Setup dialog box displays.
4 | If working with multiple modules, In the Module field Select the appropriate module location from the dropdown list.
5 | By the Calibration field, Click the < …> button. Result: The Save As dialog box displays.
6 | Locate or Type the appropriate name for the Calibration file and Click <Save>. Result: The path and filename for the Calibration file is listed in the Calibration File field.
7 | When the appropriate information has been selected, Click <OK>. Result: The Transfer Progress dialog box displays the status of the upload concluding with the Module session restarting.


Monitor

Introduction

Calterm III provides the ability to monitor calibration data. Monitoring is achieved when the Calterm III tool is actively communicating with a single or multiple Electronic Control Module(s). After the communication to the module session has begun, its Screen data, Product Information, Event Log and Faults can be monitored from the Module Monitor window. In addition to module monitoring, Calterm III supports the editing of single parameter values, hex addresses and table array vectors located within the Module Monitor window.

Find Out More

Monitoring Screen Data

How To Monitor Product Information

How To Monitor the Event Log

How To Monitor Faults


Monitoring Screen Data

Introduction

Calterm III provides the user the ability to monitor parameters, hex addresses and table array vectors within the Screen windows of the Module Monitor. The screens are created by adding parameters either by directly typing a parameter name or by searching through the Parameter Query dialog box. Calterm III provides the user the ability to manage multiple screens and multiple screen files that can be saved for future sessions. The initial screen file for all products selected is called Screen_000.scr.xml. Calterm III supports the use of a user-defined Screen File that will become the default screen from one Module Monitor session to the next session.

Find Out More

Selecting Parameters to Monitor

How To Delete Parameters

Organizing Parameters

Managing Screens

How To Use Alternative Units

How To Use the Graphical Data Monitor (GDM)

How To Use the Engineering Data Monitor (EDM)


Selecting Parameters to Monitor

Introduction

To monitor, the desired parameters, hex addresses and table array vectors must be added to a Screen window. Parameters can be added to the Screen window by typing the parameter name directly into a cell or by searching and selecting a parameter in the Parameter Query dialog box.

Find Out More

How To Select Parameters by Direct Entry

How To Select Parameters Using the Parameter Query


How To Select Parameters by Direct Entry

Selecting by Direct Entry

This table outlines the steps for selecting parameters, hex addresses and table entries to monitor by typing directly into a cell of a Screen window.

Step

Action

1

Verify a Module Monitor session is open and active.

2

Locate an open cell in the Name section of the Screen window.

3

Add the appropriate parameter, hex address, or table entry.

To add a …

Move to an open cell and…

Parameter

Type the Parameter name and Press enter.

Result: The parameter is added in the cell location of the Screen window. If the module session is active, the value and units should respond with data.

Hex address

Type the Hex Address and Press enter.

Result: The hex address is added in the cell location of the Screen window. If the module session is active, the value and units should respond with data.

1D Table entry

Type the Parameter name for the table, followed by [x], where x is the row number within the table, and Press enter.

Example: C_SOI_IMTAdvRPMX[6]

Result: The value for the table position is added in the cell location of the Screen window. If the module session is active, the value and units should respond with data.

3D Table entry

Type the Parameter name for the table, followed by [x,y], where x,y is the row and column locations within the table, and Press enter.

Example: C_SOI_IMTAdvTbl[4:6]

Result: The value for the table position entered is added in the cell location of the Screen window. If the module session is active, the value and units should respond with data.

4

To change a parameter, hex address or table array vector’s value, in the Value field, Type a new value and Press enter.

Result: If successful, the new value is resident in the module’s memory and displays on the Screen window.

Note: If the new value is not displayed, the Module Monitor session may not be active, it exceeds the minimum or maximum value, or the Calterm III tool does not own the ChangeLock.

5

To change the Screen window’s name, Click in the Name field, Type a new name and Press enter.

Result: The Screen window’s title name changes.

6

To Save the Screen window to file, Press Ctrl+F2 or from the Monitor menu, Save As Screen File… option.

Result: The Screen file Save As dialog box displays.

7

Type in a unique name or Select the default screen filename, Screen_000.scr.xml.

8

When the appropriate entry has been made, Click <Save>.

Result: The Screen File has been saved and a Saved Screen file message is added to the Event Log.


How To Select Parameters Using the Parameter Query

Selecting Using Parameter Query

This table outlines the steps for selecting parameters to monitor by searching and selecting using the Parameter Query (F1) dialog box.

Step

Action

1

Verify a Module Monitor session is open and active.

2

Highlight an open cell in the Name section of the Monitor window and Press <f 1>.

Result: The Parameter Query dialog box displays. Desired parameters can be located manually or found with the Query String search utility.

3

Search for the parameter.

To search…

Then…

Manually

Scroll through the list and locate the desired parameter.

Highlight the parameter, or Mark the checkboxes for a list of parameters, and Click <OK>.

Result: The Parameter Query dialog box closes and the parameter(s) displays in the Monitor window.

Using the Query String utility

Type a character string in the Query String field, and Click <Query>.

Result: The parameters that match are displayed.

In the query results, Locate the parameter name. Highlight the parameter, or Mark the checkboxes for a list of parameters, and Click <OK>.

Result: The Parameter Query dialog box closes and the parameter(s) is added in the Module Monitor window.

4

To change a parameter, hex address or table array vector’s value, in the Value field, Type a new value and Press enter.

Result: If successful, the new value is resident in the module’s memory and displays on the Screen.

Note: If the new value is not displayed, the Module Monitor session may not be active, the value exceeds the minimum or maximum value or the Calterm III tool does not own the ChangeLock (Permission to write to the module).

5

To change the Screen window’s title, Click in the Name field, Type a new name and Press enter.

Result: The Screen window’s title name changes.

6

To Save the Screen window to file, Press Ctrl+F2 or from the Monitor menu, Select the Save Screen File As… option.

Result: The Screen file Save As dialog box displays.

7

Type in a unique name or Select the default screen filename, Screen_000.scr.xml.

8

When the appropriate entry has been made, Click <Save>.

Result: The Screen File has been saved and can be recalled at a later Calterm III session.


How To Delete Parameters

Introduction

The Calterm III tool permits the user to delete parameters within a Screen window. The user can directly delete the parameter or type a new parameter in the same cell location.

Deleting a Parameter

This table outlines the steps for deleting a parameter from the Module Monitor window.

Step | Action
1 | Select the parameter to remove.
 |  | To… | Then…
 |  | Delete the parameter | Select the parameter, and Press the delete key. Result: The parameter is removed from the Screen window.
 |  | Replace the parameter | Select the parameter cell, Type a new parameter name and Press enter. Result: The original parameter is deleted and replaced with the new parameter on the Module Monitor window.
2 | To Save the Screen window to file, Press Ctrl+F2 or from the Monitor menu, Select the Screen File Save As… option. Result: The Screen file Save As dialog box displays.
3 | Type in a unique name or Select the default screen filename, Screen_000.scr.xml.
4 | When the appropriate entry has been made, Click <Save>. Result: The Screen window file has been saved and can be recalled at a later Calterm III session.


Organizing Parameters

Introduction

The Calterm III tool permits the user to manipulate parameters within a Screen window. The user can copy, cut and paste parameters from one cell to another. Calterm III supports many Windows shortcuts and mouse clicks to maneuver parameter entries within the Monitor grid.

Find Out More

How To Copy and Paste Parameters

How To Cut and Paste Parameters


How To Copy and Paste Parameters

Copying a Parameter

This table outlines the steps for copying a parameter from one cell location and pasting it to another cell location within the Module Monitor window.

Step

Action

1

On the Module Monitor window copy and paste the parameter.

To copy and paste using…

Then…

Keyboard shortcuts

Select the parameter and Press ctrl+c.

Select a new cell and Press ctrl+v.

Result: The copied parameter is pasted into the selected cell.

The Context menu

Select the parameter and RightClick the mouse.

Result: The Context menu displays.

From the menu, Select the Copy option.

Select a new cell and RightClick the mouse.

Result: The Context menu displays.

From the menu, Select the Paste option.

Result: The copied parameter is pasted into the selected cell.

2

To view the properties for a parameter, Select the Parameter Name, RightClick the mouse and Select the Properties option.

Result: The Detailed Properties dialog box for the parameter opens.

3

Click <OK> to close the dialog box.

4

To change a parameter, hex address or table array vector’s value, in the Value field, Type a new value and Press enter.

Result: If successful, the new value is resident in the module’s memory and displays on the Screen window.

Note: If the new value is not displayed, the Module Monitor session may not be active, it exceeds the minimum or maximum value or the Calterm III tool does not own the ChangeLock (Permission to write to the module).

5

To change the Screen window’s title, in the Name field, Type a new name and Press enter.

Result: The Screen window’s title name changes.

6

To Save the Screen window to file, Press Ctrl+F2 or from the Monitor menu, Select the Screen File Save As… option.

Result: The Screen File Save As dialog box displays.

7

Type in a unique name or Select the default screen filename, Screen_000.scr.xml.

8

When the appropriate entry has been made, Click <Save>.

Result: The Screen File has been saved and can be recalled at a later Calterm III session.


How To Cut and Paste Parameters

Cutting a Parameter

This table outlines the steps for cutting a parameter from one cell location and pasting it to another cell location within the Module Monitor window.

Step

Action

1

On the Module Monitor window cut and paste the parameter.

To cut and paste using…

Then…

Keyboard shortcuts

Select the parameter and Press ctrl+x.

Result: The parameter is copied into the clipboard and removed from the Monitor window.

Select a new cell and Press ctrl+v.

Result: The copied parameter is pasted into the selected cell.

The Context menu

Select the parameter and RightClick the mouse.

Result: The Context menu displays.

Select the Cut option.

Result: The parameter is copied onto the clipboard and removed from the Monitor window.

Select a new cell and RightClick the mouse.

Result: The Context menu displays.

Select the Paste option.

Result: The copied parameter is pasted into the selected cell.

2

To view the properties for a parameter, Select the Parameter Name, RightClick the mouse and Select the Properties option.

Result: The Detailed Properties dialog box for the parameter opens.

3

Click <OK> to close the dialog box.

4

To change a parameter, hex address or table array vector’s value, in the Value field, Type a new value and Press enter.

Result: If successful, the new value is resident in the module’s memory and displays on the Screen window.

Note: If the new value is not displayed, the Module Monitor session may not be active, it exceeds the minimum or maximum value or the Calterm III tool does not own the ChangeLock.

5

To change the Screen window’s title, Select the Name field, Type a new name and Press enter.

Result: The Screen window’s title name changes.

6

To Save the Screen window to file, Press Ctrl+F2 or from the Monitor menu, Select the Screen File Save As… option.

Result: The Screen File Save As dialog box displays.

7

Type in a unique name or Select the default screen filename, Screen_000.scr.xml.

8

When the appropriate entry has been made, Click <Save>.

Result: The Screen File has been saved and can be recalled at a later Calterm III session.


Managing Screens

Introduction

The Calterm III tool provides the user with the capability to create and use multiple Monitor screens. The use of multiple monitor screens can be beneficial when the user is responsible for maintaining several engine programs or wants to set screens for monitoring, logging, diagnostics, fueling and timing overrides, etc. This section documents how to add, delete, modify and save multiple screens within a single screen file name. In addition this section will include the process involved in managing multiple screen file names with a single Product ID.

Find Out More

How To Add a Screen

How To Delete a Screen


How To Add a Screen

Add a Screen

This table outlines the steps to add a screen to an existing Screen file name.

Step | Action
1 | Verify a Module Monitor session is open and active and the appropriate screen file name is loaded on the Calterm III window.
2 | Use the shortcut alt+f7 to move to the last screen within the screen file.
3 | From the Monitor menu, Select the Add Screen – Normal option. Result: A new blank Screen displays.
4 | Add parameters to the Screen window by direct entry or through the Parameter Query (F1) dialog box.
5 | To change the Screen window’s name, Select the Name field, Type a new name and Press enter. Result: The Screen window’s name is changed.
6 | To Save the Screen window to file, Press Ctrl+F2 or from the Monitor menu, Select the Screen File Save As… option. Result: The Screen File Save As dialog box displays.
7 | Type in a unique name or Select the default screen filename, Screen_000.scr.xml.
8 | When the appropriate entry has been made, Click <Save>. Result: The Screen File has been saved and can be recalled at a later Calterm III session.


How To Delete a Screen

Delete a Screen

This table outlines the steps to delete a screen from an existing Screen file name.

Step | Action
1 | Verify a Module Monitor session is open and active and the appropriate screen file name is loaded on the Calterm III window.
2 | Use the shortcut alt+f7 or CTRL+R to move to the appropriate screen for deleting.
3 | From the Monitor menu, Select the Delete Screen option. Result: The current screen is deleted and replaced with the next available screen.
4 | To Save the Screen window to file, Press Ctrl+F2 or from the Monitor menu, Select the Screen File Save As… option. Result: The Screen File Save As dialog box displays.
5 | Type in a unique name or Select the default screen filename, Screen_000.scr.xml.
6 | When the appropriate entry has been made, Click <Save>. Result: The Screen File has been saved and can be recalled at a later Calterm III session.


How To Use Alternative Units

Introduction

The Calterm III tool provides the user with the capability to display and edit parameter, hex address and table vector entries using alternative units. Switching to alternative units is handled through the View menu on the Calterm III window. When the switch from ‘default’ decimal units to hexadecimal or binary occurs, the Module Monitor window will translate the associated value for each parameter accordingly. The user has the option to monitor or edit the parameter, hex address or table vector entry as they see fit.

Note: This functionality is also available in the Calibration Editor.

Using Alternative Units

This table outlines the steps to display and edit using alternative units during a Module Monitor session.

Step

Action

1

Verify a Module Monitor session is open and active and the appropriate screen file name is loaded on the Calterm III window.

2

Use the shortcut alt+f7 or CTRL+R to move to the appropriate screen for implementing the alternative units’ functionality.

3

To change from Decimal to Hex, from the View menu, Select the Hex option.

Result: The current screen’s parameters, hex addresses and table array vector values are displayed in Hexadecimal.

4

To change from Hex to Binary, from the View menu, Select the Binary option.

Result: The current screen’s parameters, hex addresses and table array vector values are displayed in Binary format.

5

To change a parameter, hex address or table array vector’s value, in the Value field, Type a new value and Press enter.

Result: If successful, the new value will reside in the module’s memory and display on the Module Monitor Screen.


How To Use the Graphical Data Monitor (GDM)

Introduction

The Calterm III tool provides the user with the capability to display and edit parameter data through the use of a Graphical interface. The graphical interface includes a stripchart and meters page interface that can be saved to the screen file for future use.

Graphical Data Monitor

This table outlines the steps to create and configure a graphical monitor screen during a module monitor session.

Step | Action
1 | From the Monitor menu, Select the Add Screen – Graphical Screen option. Result: A new screen panel opens with the stripchart displayed.
2 | To add a parameter, Click in the Name field and Type the appropriate Parameter name. Note: The F1 (Parameter Query) functionality is also supported.
3 | To change the plot color, in the Color field, Select the appropriate color from the pull-down menu.
4 | To draw the parameter value on the stripchart, activate the Plot checkbox.
5 | To change additional preferences, RightClick and Select the Settings option and follow the instructions.
6 | To zoom, Hold the <Shift> key and draw a plot area with the mouse. Result: When mouse is released the plot zooms in to selected area.
7 | To zoom in and out use the <Shift> + <UpArrow> and <Shift> + <DownArrow> keys.
8 | To release the zoom, use the Shift + Backspace keys
9 | To pan the area, use the <Ctrl> + <UpArrow>, +<DownArrow>, +<RightArrow> or +<LeftArrow> for the desired effect.
10 | To display the Meters section of the graphical page, RightClick and Select the Show gauges option and follow the instructions.
11 | To remove the Meters section of the graphical page, RightClick and Select the Hide gauges option and follow the instructions.


How To Use the Engineering Data Monitor (EDM)

Introduction

Calterm III and some Core-II calibrations support the use of an Engineering Data Monitor, (EDM). The Engineering Data Monitor uses a list of parameters and attempts to broadcast those values across the datalink at the predetermined user value. The EDM has limitations as to the amount of parameter items and update rates supported within a session.

The C_EDM_MaxItemsPerMonitor parameter’s value displays the amount of parameter items that can be used within an EDM session. Core II calibrations have typically limited this value to 50 items.

The C_EDM_MinUpDateInterval parameter’s value displays the minimum update rate supported by the EDM. Core II calibrations have typically limited this value to 20msec.

EDM Monitor

This table outlines the steps to configure and run an EDM session.

Step

Action

1

From the Calterm III window, Open a Module session.

2

In Request/Receive mode, Create a Screen window that does not exceed the value for the parameter C_EDM_MaxItemsPerMonitor.

Note: In this case, 50 items

3

From the Tools -> Options -> Data Monitor section, Verify the Calterm III Screen Refresh rate is not lower than 100msec.

Note: This value may need to be increased if CPU utilization is reaching 100 percent during an EDM session.

4

After the appropriate changes are made, in the Mode field on the Screen window, Select EDM.

5

Monitor the Event Log for error messages.

Note: If the Event Log displays that the EDM will not start:

  • Verify no Interface parameters are listed on EDM screen.
  • Increase EDM Desired rate to a higher value, (40-80ms.)
  • Decrease the number of parameters on EDM screen.

6

Open the Task Manager and monitor CPU utilization. If CPU is reaching 100 percent, then performance will be compromised. Increasing Calterm III’s Screen Refresh rate to 200-500msec will lower CPU utilization.


How To Monitor Product Information

Introduction

The Product Information window displays a list of module, calibration and product specific information for the current Calterm III session. The fields populated in the Product Information window are dependant upon the mode of operation: Module mode, Calibration mode or Product mode.

Product Information

This table outlines the steps for monitoring the Product Information window.

Step

Action

1

On the Calterm III window, from the File menu, Select the appropriate Module, Calibration or Product open option.

Result: The Product Information window displays and updates accordingly to the session mode selected.

2

Review the current settings in the Product Information window.

Setting

Description

Product_Id Selected

Product_Id Actual

The Product ID selected by the user.

The product’s ID read in from the calibration file or module.

Config File

Config Date/Ver

The configuration file name.

The configuration file version or date.

Cal File

Cal Date/Ver

The calibration file name

The calibration version or date

DLA Firmware

DLA Driver Version

The firmware version in the device.

The Driver version installed on the computer.

BootLoader Version

The Bootloader version currently installed in the module

Run Location

The Run Location for the current module session. GTIS 4.5 modules will read Application or Boot. Pre-GTIS 4.5 modules will read Default, Development or Boot.

ECM Part Number

ECM Serial Number

Contains the ECM part number and serial number for the current module session.

Start Bootloader Version

End Bootloader Version

Contains the Start Bootloader version and End BootLoader version supported by the calibration currently loaded into the module


How To Monitor the Event Log

Introduction

The Event Log window displays information during the course of a Calterm III session. The Event Log captures and displays Success/Failure messages along with general information messages during the current session. The Event Log can be cleared or saved to file. The Event Log, like several other Calterm III applications, contains a Context (Right-Click) menu. Additional functionality for the Event Log is contained in the Context menu. By default, the Event Log is cleared every time the Calterm III tool is started.

Monitoring the Event Log

This table outlines the steps for monitoring the Event Log window.

Step

Action

1

On the Calterm III window, from the File menu, Select the appropriate Module, Calibration or Product open option.

Result: The Event Log window displays and updates according to the session mode selected. The most recent events or messages are displayed on the top grid location of the Event Log window.

2

To access the Event Log context menu, place the mouse cursor on the appropriate entry in the Event Log and RightClick.

Result: The Event Log menu opens.

4

From the Event Log menu, Select the Properties option.

Result: The Event Properties dialog box opens documenting detailed information on the entry selected.

5

From the Event Log menu, Select the Save Event Log As… option.

Result: The Save ‘Event Log’ As dialog box opens.

6

Type a name for the Event Log file and Click <Save>.

Note: By default, the Event Log will append to the end of EventLog.xml.

7

To clear all entries in the Event Log, from the Event Log menu, Select the Clear All Events option.

8

Click on the appropriate button to close the dialog box.


How To Monitor Faults

Introduction

The Faults window displays active and inactive faults during the course of a specific Module Monitoring session. The module must be actively connected and the Monitor on before the Faults window will update data to the screen.

Monitoring Faults

This table outlines the steps for monitoring and modifying information in the Faults window.

Step | Action
1 | Verify a Module Monitor session is open and active.
2 | On the Calterm III window, Locate the Faults window. Note: The numbers within the Faults window change from gray to black indicating that the polling of Fault information is occurring.
3 | Review the current Faults window.
 |  | Type | Description
 |  | Blinking Numbers | The blinking numbers represent Active Faults during the current Module Monitor session
 |  | Solid Numbers | The solid numbers represent Inactive Faults during the current Module Monitor session
4 | To set the Fault options, Locate the appropriate Fault number and RightClick the mouse. Result: The Fault Preferences menu displays with the options available for that fault.
5 | To view the Fault Information window, Locate the appropriate Fault number and DoubleClick the mouse. Result: The Fault Information dialog box opens.
6 | To Close the Fault Information window, Click <OK>.
7 | To Block selected Faults from the Faults window, using the mouse, highlight a desired group, RightClick and Select the Block Faults option from the context menu. Result: The highlighted Faults are removed from the Faults Monitor window.
8 | To Unblock the previously selected Faults from the Faults window, RightClick and Select the Unblock Faults option. Result: The previously blocked Faults are unblocked and return to the Faults Monitor window.
9 | To Double-space the Faults display, RightClick and Select the Show Faults with double-spaced option.
10 | To Single-space the Faults display, RightClick and Select the Show Faults with single-spaced option.
11 | To display faults in hexadecimal, RightClick and Select the Show Faults in Hex option.
12 | To erase Active Faults from the monitor, from the Commands menu, Select the Erase Active Faults option. Result: The Active Faults for the current module are erased and their counters are reset.
13 | To erase Inactive Faults from the monitor, from the Commands menu, Select the Erase Inactive Faults option. Result: The Inactive Faults for the current module are erased and their counters are reset.
14 | To erase All Faults from the monitor, from the Commands menu, Select the Erase All Faults option. Result: All faults, both active and inactive are erased and their counters are reset.


Edit

Introduction

The Calterm III tool provides an interface to manipulate or edit the contents of Module memory locations or Calibration data located on a local or network drive. The user can change the values of specific parameters, hex addresses or tables. In addition, Calterm III supports editing in decimal, hexadecimal, binary, as well as Dataplate information and Calibration overlay.

Editable Parameters

Calterm III permits the editing of the following types of parameters to module and static calibration data, provided they reside in editable areas of ECM memory and their specific permissions are allowed.

· Parameter Name

· Cell values in 1D, 2D or 3D tables

· Scale and offset of breakpoint tables

· Hex addresses

· Electronic Dataplate

Find Out More

How To Use the Calibration Editor

How To Use the Subfile Editor

How To Use the Module Editor

How To Use the Hex Editor

How To Create an Export File

Overlay


How To Use the Calibration Editor

Introduction

Calterm III supports the editing of parameters, hex addresses, table values and Dataplate information through the use of the Calibration Editor.

Calterm III supports the editing of parameters in the following formats:

· Decimal (Engineering units)

· Hexadecimal

· Binary

Editing a Calibration

This table outlines the steps for editing a calibration.

Step

Action

1

At the Calterm III window, from the File menu, Select the Open Calibration option.

Result: The Select Calibration dialog box opens.

2

Select the Product, Configuration and Calibration files.

3

When all the appropriate selections have been made, Click <OK>.

Note: The user can filter the editing list by using Enable Filter and <Set Filter>.

Result: The Editor window opens with the selected calibration or subfile listed by group names.

4

Display parameters.

Note: The F1 (Parameter Query) is supported in all editors.

To…

Then…

Display a non-table parameter within a specific group

DoubleClick on the Group name.

Result; All non-table parameters contained within the selected group display in the Editor window.

Display a table parameter

Locate the table name within the appropriate group and DoubleClick it.

Result: The table parameter is displayed within a new section or tab designation in the Editor window.

5

The user can navigate between the different sections by Selecting the Group or Table name tabs at the top of the Editor window.

6

To edit a parameter value, open the appropriate Group tab, find the parameter name and Select its Value. Type in a new value and Press ENTER.

Result: The new value for the parameter displays and the background in the value cell turns to yellow.

7

To edit a table value, open the appropriate Table Name tab and Select the table Value. Type in a new value and Press ENTER.

Result: The new value for the table displays and the background in the value cell turns to yellow.

8

To edit the parameters value in Hex, from the View menu, Select the Hex option.

Result: All of the values within the current Editor section are converted to Hex and can be edited.

9

To edit the parameters value in Binary, from the View menu, Select the Binary option.

Result: All of the values within the current Editor section are converted to Binary and can be edited.

10

To edit the parameters values in Decimal, from the View menu, Select the Decimal option.

Result: All of the values within the current Editor section are converted to Decimal and can be edited.

11

To undo the last edited value, from the Edit menu, Select the Undo option.

Result: The editor resets the last value change to its previous value and the yellow background is reset to its normal color.

12

To undo all edited values, from the Edit menu, Select the Revert All option.

Result: The editor resets all edited entries back to their original values and the yellow backgrounds are reset to their normal color.

13

To view the properties for a particular parameter or table entry, locate the name or entry, RightClick and Select the Properties option from the context menu.

Result: The Detailed Properties dialog box opens displaying the information for the particular parameter or table entry.

14

Review the information in the Detailed Properties dialog box and Click <OK>.

Result: The Detailed Properties dialog box closes.

15

To remove a parameter, table, or group entry from the Editor window, Select the appropriate Parameter Name tab and Click the X icon located at the far right of the Editor window.

Result: The highlighted table or group entry is removed from the Editor window.

16

To save the calibration, from the File menu, Select the Save or Save As option and follow the instructions.

Note: The Save icon, located on the Icon bar is the functional equivalent of the Save Calibration option.

Result: The calibration is saved. At the conclusion of the save, a Success/Failure message is displayed in the Event Log.


How To Use the Subfile Editor

Introduction

Calterm III supports the editing of parameters, hex addresses, table values and Dataplate information through the use of the Subfile Editor. Calibrations are typically assembled from supporting subfiles. Many calibrations are made up of 8 subfiles; 6 of which are SC option subfiles and 2 DO option subfiles.

Calterm III supports the editing of parameters in the following formats:

· Decimal (Engineering units)

· Hexadecimal

· Binary

Subfile Editor

This table outlines the steps for editing a subfile.

Step

Action

1

At the Calterm III window, from the File menu, Select the Open Subfile option.

Result: The Select Calibration dialog box opens.

2

Select the appropriate Product, Configuration file and Subfile.

3

When all the appropriate selections have been made, Click <OK>.

Note: The user can filter the editing list by using Enable Filter and <Set Filter>.

Result: The Editor opens with the selected subfile listed by group names in the parameter window.

4

Display parameters.

Note: The F1 (Parameter Query) is supported in all editors.

To…

Then…

Display a non-table parameter within a specific group

DoubleClick on the Group name.

Result; All non-table parameters contained within the selected group display in the Editor window.

Display a table parameter

Locate the table name within the appropriate group and DoubleClick it.

Result: The table parameter is displayed within a new section or tab designation in the Editor window.

5

The user can navigate between the different sections by Selecting the Group or Table name tabs at the top of the Editor window.

6

To edit a parameter value, open the appropriate Group tab, Find the parameter name and Select its Value. Type in a new value and Press ENTER.

Result: The new value for the parameter displays and the background in the value cell turns to yellow.

7

To edit a table value, open the appropriate Table Name tab and Select the appropriate table value. Type in a new value and Press ENTER.

Result: The new value for the table displays and the background in the value cell turns to yellow.

8

To edit the parameters value in Hex, from the View menu, Select the Hex option.

Result: All of the values within the current Editor section are converted to Hex and can be edited.

9

To edit the parameters value in Binary, from the View menu, Select the Binary option.

Result: All of the values within the current Editor section are converted to Binary and can be edited.

10

To edit the parameters values in Decimal, from the View menu, Select the Decimal option.

Result: All of the values within the current Editor section are converted to Decimal and can be edited.

11

To undo the last edited value, from the Edit menu, Select the Undo option.

Result: The editor resets the last value change to its previous value and the yellow background is reset to its normal color.

12

To undo all edited values, from the Edit menu, Select the Revert All option.

Result: The editor resets all edited entries back to their original values and the yellow backgrounds are reset to their normal color.

13

To view the properties for a particular parameter or table entry, locate the name or entry, RightClick and Select the Properties option from the context menu.

Result: The Detailed Properties dialog box opens displaying the information for the particular parameter or table entry.

14

Review the information in the Detailed Properties dialog box and Click <OK>.

Result: The Detailed Properties dialog box closes.

15

To remove a parameter, table, or group entry from the Editor window, Highlight the appropriate Parameter Name tab and Click the X icon located at the far right of the Editor window.

Result: The highlighted table or group entry is removed.

16

To save the subfile, from the File menu, Select the Save As option.

Note: If the subfile edited was structured, the saved subfile will become unreleased and saved in the …\Product\Unrlcal folder. If the file edited was an unreleased subfile, the auto-increment naming of the subfile extension is handled by the tool and written to the …\Product\Unrlcal folder.

Result: The subfile is saved in the …Product\Unrlcal folder and a Successful message displays in the Event Log.


How To Use the Module Editor

Introduction

Calterm III supports the editing of parameter and table values through the use of the Module Editor. Calterm III supports the editing of parameters in the following formats:

· Decimal (Engineering units)

· Hexadecimal

· Binary

Module Editor

This table outlines the steps for editing a module calibration.

Step

Action

1

At the Calterm III window, from the File menu, Select the Open Module option.

Result: The Select Module dialog box opens.

2

Select the appropriate Product, Configuration file, Datalink information and Click <Automatic>.

Result: Depending on the settings listed in the Options-Start Up section, the Module Monitor or the Module Editor will open.

3

If the Module Editor did not open, from the View menu, Select the Editor option.

Note: The user can filter the editing list by using Enable Filter and <Set Filter>.

Result: The Editor opens with the selected module calibration listed by group names in the Parameter window.

4

Display parameters.

Note: The F1 (Parameter Query) is supported in all editors.

To…

Then…

Display a non-table parameter within a specific group

DoubleClick on the Group name.

Result; All non-table parameters contained within the selected group display in the Editor window.

Display a table parameter

Locate the table name within the appropriate group and DoubleClick it.

Result: The table parameter is displayed within a new section or tab designation in the Editor window.

5

The user can navigate between the different sections by Selecting the appropriate Group or Table name tabs, located at the top of the Module Editor window.

6

To edit a parameter value, open the appropriate Group tab, Locate the parameter and Select its Value. Type in a new value and Press ENTER.

Result: The new value for the parameter displays and the background in the value cell turns to yellow.

7

To edit a table value, Open the appropriate Table Name tab and locate the table Value. Type in a new value and Press ENTER.

Result: The new value for the table displays and the background in the value cell turns to yellow.

8

To edit the parameters values in Hex, from the View menu. Select the Hex option.

Result: All of the values within the current Editor section are converted to Hex and can be edited.

9

To edit the parameters values in Binary, from the View menu. Select the Binary option.

Result: All of the values within the current Editor section are converted to Binary and can be edited.

10

To edit the parameters units in Decimal, from the View menu. Select the Decimal option.

Result: All of the values within the current Editor section are converted to Decimal and can be edited.

11

To undo the last edited value, from the Edit menu, Select the Undo option.

Result: The editor resets the last value change to its previous value and the yellow background is reset to its normal color.

13

To view the properties for a particular parameter or table entry, locate the name or entry, RightClick and Select the Properties option from the menu.

Result: The Detailed Properties dialog box opens displaying the information for the particular parameter or table entry.

14

Review the information in the Detailed Properties dialog box and Click <OK>.

Result: The Detailed Properties dialog box closes.

15

To remove a parameter, table, or group entry from the Editor window, Highlight the appropriate Parameter name tab and Click the X icon, located at the far right of the Editor window.

Result: The highlighted parameter, group entry or table is removed from the Editor window.

16

To save changes to the Module’s memory, from the Command menu, Select the Save Changes option.

Result: The save changes command is sent to the module. After a few seconds, a Success/Failure message will appear in the Event Log.


How To Use the Hex Editor

Introduction

The Calterm III tool permits the user to view and make changes to hexadecimal addresses within a static calibration or module calibration. The user can specify a pre-determined range of addresses or customize the editor grid by entering the start address and length.

Hex Editor

This table outlines the steps for using the Hex Editor.

Step

Action

1

At the Calterm III window, from the File menu, Select the Open Module or Open Calibration option.

Result: The Select Module or Select Calibration dialog box opens.

2

Select the appropriate Product and Configuration file.

3

Depending on the session selected, Select the appropriate Calibration or Datalink information and Click <OK>.

Result: Depending on the settings declared in the Options-Auto Start section for Module and Calibration sessions, the Module Monitor, Module Editor or Calibration Editor may open.

4

Regardless of Module or Calibration mode, from the View menu, Select the Hex Editor option.

Result: The Hex Editor opens with a configuration area on the left and a blank editor grid on the right.

5

Choose a range of hex addresses by selecting a valid address range field.

Select…

Then…

A listed address range

Click <Retrieve>.

Result: The Hex Editor data window opens and displays the hex addresses and associated values for the range selected.

Custom

Complete the Start Address and Length fields.

Note: The End Address will auto fill.

Click <Retrieve>.

Result: The Hex Editor data window opens and displays the hex addresses and associated values for the range selected.

6

To edit a Hex address value, Select the appropriate address location, Type in a new value and Press ENTER.

Result: The values change and the grid backgrounds change to yellow.

7

To undo the last edited value, from the Edit menu, Select the Undo option.

Result: The editor resets the last value change to its previous value.

8

To undo all edited values, from the Edit menu, Select the Revert All option.

Result: The editor resets all edited entries back to their original values.


How To Create an Export File

Introduction

The Calterm III tool supports the creation and utilization of Export files. Export files are typically, small concentrated calibrations, primarily used as Source files when executing an Overlay. Their small size makes them ideal when the user is only interested in updating a few parameters or groups into the integration of a new calibration file. Calterm III supports the creation of Export files in XML and M (Matlab) file formats.

Note: Calterm III does not support the editing of Export files within the tool. For the purposes of Overlay creation, the user will have to make all of the appropriate changes at the calibration level prior to creating the Export file.

Export

This table outlines the steps to create an export file.

Step

Action

1

To Export a file, either a Calibration or Product session must be established. At the Calterm III window, from the File menu, Select the Open Calibration or Open Product option and follow the instructions.

2

From the Tools menu, Select the Export option.

Result: The Import Export Wizard opens at the Select Calibration Files panel.

3

By the Configuration field, Click <…>.

4

Locate and select the appropriate Configuration file and Click <Open>.

Result: The Import Export Wizard displays the selected file name.

5

By the Source file field, Click <…>.

6

Locate and select the appropriate Source file and Click <Open>.

Result: The Import Export Wizard displays the selected file name.

7

When the appropriate Configuration and Source files have been selected, Click <Next>.

Result: The Import Export Wizard dialog box displays the Select Parameters to Export panel.

8

From the Filter Mode section in the upper right side of the dialog box, Select the appropriate option from Include Selected Parameters, to process the parameters, subfiles, or groups listed in the Selected List box, or Exclude Selected Parameters, to filter all parameters, subfiles, or groups in the Selected List box.

Note: At this time, a previously created filter can be applied by Clicking the <Open> button in the Filter File section of the dialog box.

9

In the Parameter List box, Highlight the appropriate Subfile, group or parameter(s) and Click the < >>> button.

Result: The selected parameters, subfiles or groups are moved to the Selected List box.

10

After creating the appropriate filter scheme, the user can save the filter to file for use with exports on additional source files. In the Filter File section, Click <Save>.

Result: The Save As dialog box displays.

11

Type in the appropriate Filter filename prefix and Click <Save>.

Note: Filter files are saved in ASCII typically called User_Prefix.flt.txt

Result: The filter is saved and the Save As dialog box closes.

12

By the Output File field, Click < …>.

Result: The Save As dialog box opens.

13

Locate the appropriate path, Type the Export prefix filename and Click <Save>.

Note: The Export filename will append the string, .exp.xml to the Export prefix filename.

14

In the Output File section, Select the appropriate file Format from XML (standard) or Matlab M-file formats.

Note: Export files, saved in XML format, display User_Prefix.exp.xml, Those saved as Matlab M files are saved as User_Prefix.m files.

15

To view the Export file output at the conclusion of the procedure, Select the checkbox next to the Display Output File option.

16

After the appropriate settings have been made, Click <Finish>.

Result: The Export progress bar will display and a Successful message will be displayed in the Event Log. Depending on the output format, the Export file can now be processed in Matlab, continued revision using an XML editor or used directly as the source file in an Overlay.


Overlay

Introduction

The Calterm III tool provides an interface to overwrite and document the contents of Calibration, Subfile and Export file data. Calterm III supports the ability to overlay the contents of calibration data from one or many sources, compared against one or many targets and subsequently written onto the contents of one or many calibration destinations. At the conclusion of the Overlay process, Calterm III produces a report that documents the changes for every single calibration saved during the overlay. Overlaying is essentially the process of evaluating the contents of a full Calibration, Subfile or Export file data, as the Source, compared to a Target file and writing the appropriate data to a new Destination file. There are currently four different overlay options available.

· One to One to One

· One to Many to Many

· Many to One to Many

· Many to One to One

Overlay Contents

Overlays, regardless of type chosen, contain Source Data, Target Data, and the resultant Overlaid Destination Data. The source file contains the parameters and data values that will be compared to the Target Data. If both the Source and Target contain the same parameters, with compatible units, the Source's data values will then be overlaid on the Target and saved to the overlaid Destination calibration file. The Overlay Report optionally documents a list of parameters found in the source file but not the target file and vise versa. In addition, the Overlay Report documents information on parameters with changed values and those parameters not overlaid due to some error.

Calibration Content

Calterm III supports Overlay source files that are full Calibrations, Subfiles, GTIS 4.5 (Calterm III) Export files and Legacy, Pre-GTIS 4.5 (NGET-OVL) Export files. The Overlay is primarily concerned with calibration subfile data. It does not evaluate nor implement RAM parameters and/or Code Subfiles. RAM parameters are only available when communicating to a Module. Code Subfiles contain parameters, algorithms and executables that are not available using common Engineering tools. In most engine programs, Subfile 3 has been targeted as the Code Subfile. As a result, the Overlay procedure does not attempt to evaluate or modify parameter data contained in Subfile 3.

Find Out More

Overlay Types

How To Perform an Overlay


Overlay Types

Overlay Types

This diagram illustrates the four overlay types.


How To Execute an Overlay

Introduction

The Calterm III tool provides an interface to overwrite and document the contents of calibration, subfile and export file data. Calterm III supports the ability to overlay the contents of calibration data from one or many sources, compared against one or many targets and subsequently written onto the contents of one or many calibration destinations. Calterm III produces an Overlay report for every new calibration created during the overlay.

Overlay

This table outlines the steps necessary to execute overlay.

Step

Action

1

From the Tools menu, Select the Overlay option.

Result: The Overlay Wizard dialog box opens at the Select Overlay Mode panel.

2

Select the appropriate overlay mode.

· One to One to One

· One to Many to Many

· Many to One to Many

· Many to One to One

3

When the appropriate mode has been selected, Click <Next>.

Result: The Overlay Wizard dialog box opens at the Select Overlay Options panel.

4

Select the appropriate options:

· Use Scaled Values

· Generate Verbose Report

· Display Missing Parameters in Report

· Range Limit Preferences

· Overlay Report Prefix name (User-Defined)

· Overlay Report output format (XML, HTML, TXT)

· Prefix

· Format

Note: The Overlay Report filename will be Prefix_NNN.Ovl.UserFormat, where NNN is an auto-incrementing number and UserFormat is the extension of report.

5

When the appropriate options have been selected, Click <Next>.

Result: The Overlay Wizard dialog box opens at Select File Types panel.

6

In the Source Files section, Select from:

· Calibration

· Subfile

· Import/Export

7

In the Target Files section, Select from:

· Calibration

· Subfile

8

In the Destination Files section, Select from:

· Create New Files

· Overwrite Existing Target Files

· Use Source File Names

9

When the appropriate file types have been selected, Click <Next>.

Result: The Overlay Wizard dialog box opens at Select Source Files panel.

10

By the Configuration field, Click the <…> button.

Note: When using an Import/Export file as the Source, the configuration file is not needed and not available for selection.

11

Select the appropriate Configuration file and Click <Open>.

Result: The Configuration file is added to the Overlay Wizard.

12

By the Calibration field, Click the <…> button.

13

Select the appropriate Source file and Click <Open>.

Result: The Source file is added to the Overlay Wizard.

14

When the appropriate Configuration and Source files have been matched, Click the <>>> button.

Result: The paired files are sent to the grid window on the right and the Configuration and Calibration sections are emptied.

15

If necessary, continue to select additional Configuration and Source file combinations and move them into the grid window.

16

When all of the Configuration and Source file combinations have been added, Click <Next>.

Result: The Overlay Wizard dialog box opens at Select Target Files panel.

17

By the Configuration field, Click the <…> button.

18

Select the appropriate Configuration file and Click <Open>.

Result: The Configuration file is added to the Overlay Wizard.

19

By the Calibration field, Click the <…> button.

20

Select the appropriate Target file and Click <Open>.

Result: The Target file is added to the Overlay Wizard.

21

When the appropriate Configuration and Target files have been matched, Click the <>>> button.

Result: The paired files are sent to the grid window and the Configuration and Calibration sections are emptied.

22

If necessary, continue to select additional Configuration and Target file combinations and move them into the grid window.

23

When all of the Configuration and Target file combinations have been added, Click <Next>.

Result: The Overlay Wizard dialog box opens at the Default Destination Filenames panel.

24

To Modify the default Destination filename(s), Click <Save As> and follow the instructions.

25

When the Destination filename(s) is correct, Click <Next>.

Result: The Overlay Wizard dialog box opens at the Select Parameters panel.

26

Calterm III supports the use of Filtering during an overlay. Filtering is the process of including or excluding selected parameters from the Source file(s) prior to the overlay process.

To apply a filter, go to Step 27. If a filter is not required, skip to Step 34.

27

In the Filter Mode section, Select to the option to Include or Exclude parameters that will be listed in the Selected List box.

Note: At this time, a previously created filter can be applied by Clicking the <Open> button in the Filter File section of the dialog box.

28

From the Parameter List box, Highlight the appropriate parameters, tables, and groups and Click the <>>> button to move them to the Selected List.

Note: If necessary, the <<<> button supports moving parameters, tables and groups from the Selected List back to the Parameter List.

29

After creating the appropriate filter scheme, the user can save the filter to file for use with future overlay sessions. In the Filter File section, Click <Save>.

Result: The Save As dialog box displays.

30

Type in the appropriate Filter filename prefix and Click <Save>.

Note: Filter files use the Prefix string and add flt.txt to the end of the filename.

31

When all of the appropriate files and filtering have been applied, Click <Next>.

Result: The Overlay Wizard dialog box opens at the Summary panel.

32

When all the appropriate configuration and summary information has been reviewed and is correct, Click <Finish>.

Result: The Overlay process begins and the progress meter increments. At the conclusion of the Overlay, the Overlay Report displays in the default viewer for the file type selected, the Destination calibration file is saved in the current …\Product_ID\Unrlcal folder and a Success/Failure message is displayed in the Event Log.

Note: If using an Overlay that produces multiple Destination files, a separate Report, Calibration file and entry into the Event Log will be created for each Destination file.

33

Review and Close the Overlay Report(s).

Result: The Overlay Report closes and returns the user to the Calterm III window where the Success/Failure message is displayed in the Event Log.


Logger

Introduction

Calterm III logging provides a method for recording data to file that includes parameter values, hex address values, table vector entries and fault code data. The logger data is captured at the received frequency driven by the user-defined data acquisition rate. Calterm III supports Logger output data in CSV (Excel), TXT (ASCII), HTML (Browser) and XML formats. In addition, Calterm III supports the option to display the data in the default viewer for the user selected file type at the conclusion of the logging session. For additional information on logger data, see the Chapter 8: Appendix E - Using Excel with Logger Data.

Logging Mechanisms

Logging can be divided into two major types, Internal and External Logging. Internal Logging implements two types, Internal Data Logger (IDL) and Broadcast Announce Messaging (BAM). Both IDL and BAM implement their unique flavor of the module’s Data_Collector task. BAM logging typically broadcasts a set of parameter values at a user-defined interval. The IDL uses an additional portion of module’s memory to temporarily capture parameter values then transmits the whole logger data-set back to the Calterm III tool for permanent storage and display. External Logging implements the Request/Receive and EDL (Engineering Data Monitor) communication modes. External logging supports manual, event-driven and time-of-day as user-defined methods of delivery by the module to the Calterm III tool for storage and display.

Logging Intervals

Currently the supported minimum interval between consecutive reads, of Module data during logging, is the frame-rate. The frame-rate for most 500 series modules is 20ms. Some 800 series modules support 10ms frame rates. The CM-850 module, loaded with a GTIS 4.5, Core-2 calibrations, supports 5ms frame-rates. The DLA hardware along with the PC processor, RAM capability, bus utilization and module responsiveness are all factors to the frequency the user can expect from External (Request/Receive) and BAM Logging. New to Calterm III is the implementation of time stamping data that does not use the PC’s internal system clock. The IDL uses a frequency/timestamp located within the module. Request/Receive and BAM logging utilizes a frequency/timestamp located within the DataLink Adapter. Both methods help reduce latency to the PC’s clock and increase overall sampling integrity.

Logging Table Data

Request/Receive, BAM, IDL and EDM are designed to monitor and record parameter values currently displayed in the Module Monitor window. Logging complete 1D, 2D and 3D tables is not supported. However specific table addresses can be monitored and logged. Hex address data can be monitored and logged as well.

Find Out More

How To Set Logger Options

How To Use the Manual Logger

How To Use the Event Driven Logger

How To Use the BAM Logger

The Internal Data Logger

How To Review a Log File


How To Set Logger Options

Introduction

To offer the flexibility the customer deserves in a logging tool, optional settings must be configured. Request/Receive, EDM, BAM and Internal Data Logger data file options are defined in the Calterm III Options dialog box at the Logging, Log Header and IDL Logging sections.

Setting Logger Options

This table outlines the steps for setting Logger Data file options.

 | Step | Action
 | 1 | Verify a Module Monitor session is open.
 | 2 | Verify the Module Monitor is not running. If parameter values on the Module Monitor Screen window are updating, then from the Monitor menu, Select the Stop option. Result: The Module Monitor session is open but the Module Data Monitor is not running.
 | 3 | From the Tools menu, Select the Options item. Result: The Options dialog box displays.
 | 4 | In the Options dialog box, Click on the Logging option. Result: The Logging options display.
 | 5 | Review and modify the Logging options.
 |  |  |  | Setting | Description
 |  |  |  | Log PC Time | If checked, the PC timestamp will be included in the logger data file.
 |  |  |  | Log active faults | If checked, Active Fault data is captured in the logger datafile.
 |  |  |  | Logfile Prefix | The Logfile Prefix sets the beginning string of logger data filenames. The logger filename will begin with the Default prefix followed by a date/time string, a unique number and user-selected file extension.
 |  |  |  | Log Rate | Permits the user to select three different methods to log data; when any data is received, when all data is received or based upon time.
 |  |  |  | Log Rate (time) | If the Log Data at specified interval is selected from the Log Rate section, then the user can set the rate for time based logging.
 |  |  |  | Default format | Permits the user to select the format type of the logger data file. Options are HTML, CSV, TXT and XML.
 |  |  |  | Delete oldest file on media full | If selected, Calterm III will delete the oldest logger file when media becomes full. This option was developed to support unattended Calterm III use.
 |  |  |  | Create multiple… / Create only one… | Selects whether multiple log files will be created based on the user defined Max file size, or if only one log file will be created. If only one log file is to be created, the remaining Log File options become available.
 |  |  |  | Display Log file | The Display Log File option opens the Logger datafile after the Logger is stopped.
 |  |  |  | Display Save As file dialog | If checked, the Logger Save As dialog box displays when the Logger is stopped.
 |  |  |  | Auto Numbering | If selected, the logger filename number increments by 1 unit for each session.
 |  |  |  | User Specified File | If selected, the user defined log file will be used for logging, overwriting it each time.
 |  |  |  | Log file Path | Permits the user to select a path other than the Default product folder.
6 |  |  | Click on the Log Header option of the Options dialog box. Result: The Log Header options display.
7 |  |  | In the Notes field, Type in the appropriate description to be included in the Log Header section of the logger data file.
8 |  |  | In the DeviceAddress and ParameterName field, Type the appropriate information to be included in the Log Header section of the logger data file. Note: In most instances, single module engine programs will use 00 as the Device Address.
9 |  |  | When all of the appropriate changes have been made, Click <OK>. Result: The Logging and Log Header options are saved and dynamically allocated to the Calterm III Module Monitor session.


How To Use the Manual Logger

Introduction

Manual logging records the values of a specific set of parameter values, hex address values, table vector values and optional active fault codes over time. The starting and stopping of recording data to file, along with the frequency of data sampling is all under the control of the user. Manual logging is implemented when the tool to Module is in Request/Receive or EDM mode. The Logger options, located in the Logging and Data Monitor sections of the Options dialog box, permit the user the capability to set frequency, display, file naming conventions, formatting and presentation of logger data all within a single recording session or as a global setting to be used over and over again. The settings within the Options area are dynamic, meaning the user can be actively engaged in a Module Monitor session, change the Logger or Data Monitor settings and those changes will be available immediately.

Manual Logging

This table outlines the steps to configure and execute a Manual Request/Receive Logging session.

Step | Action
1 | For Manual Logging to begin, the Calterm III tool must be in Module Monitor mode. At the Calterm III window, from the File menu, Select the Open Module option and follow the instructions. Result: The Module session is open and available for monitoring.
2 | On the Calterm III window, verify that Request/Receive displays in the Mode field. If not, Click the arrow and select it from the list.
3 | At the Calterm III window, from the Tools menu, Select the Options item. Result: The Options dialog box opens.
4 | In the Options dialog box, Click on the Data Monitor option. Result: The Options dialog box opens to the Data Monitor options.
5 | In the Refresh Rates section, Type in the appropriate value along with units for Request/Receive. Note: The value and units selected is the frequency the Calterm III tool will request parameter data from the module.
6 | In the Refresh Rates section, Type in the appropriate value along with units for Screen. Note: The value and units selected is the frequency the Calterm III tool will update the Module Monitor Screen.
7 | After all the appropriate changes have been made to the Data Monitor options, Click <OK>. Result: The Options dialog box closes.
8 | Verify the Module Monitor is updating values in the Module Monitor window. If not, from the Monitor menu, Select the Start option or Click on the Start Data Monitoring icon. Result: Parameter values are updated in the window.
9 | Verify the appropriate parameters are displayed on the current Module Monitor window. If not, Add or Delete the appropriate parameters to the current Screen.
10 | Verify the desired update rate is correct. If not, Type the appropriate value and Press enter.
11 | At the appropriate time, from the Logging menu, Select the Start option or Click the Start icon. Result: The logger starts. The Logging Indicator in the Task Bar displays with an ON and green status.
12 | To stop the Logging session, from the Logging menu, Select the Stop option or Click the Stop icon. Result: The Logger stops and the Save As dialog box may open.
13 | On the Save As dialog box, Select a new Logger data filename or elect to keep the Calterm III generated Logger data filename.
14 | When the Logger data filename has been set, Click <Save>. Result: The Logger Data file may open in the default viewer for the selected file type.
15 | Review and Close the Logger Data file.


How To Use the Event Driven Logger

Introduction

Calterm III supports the use of logging from user-defined events. An event can be spawned when a parameter exceeds a defined limit, time of day or a module Fault becomes active. In addition, the Event Driven Logger supports conditional ANDs instead of the conditional ORs, as seen with previous Engineering Tools. In other words, if the user wants the logger to start when Engine_Speed exceeds an amount along with Boost_Pressure and Oil_Temperature at a pre-determined operating range it now can be done through the Event Driven Logger setup.

Event Driven Logger

This table outlines the steps to configure and execute an Event Driven Logging session.

Step

Action

1

For Event Driven Logging to begin, the Calterm III tool must be in Module Monitor mode. At the Calterm III window, from the File menu, Select the Open Module option, follow the instructions.

Result: The Module session is open and actively monitoring.

2

On the Calterm III window, verify that Request/Receive displays in the Mode field. If not, Click the arrow and select it from the list.

3

At the Calterm III window, from the Tools menu, Select the Options item.

Result: The Options dialog box opens.

4

In the Options dialog box, Click on the Data Monitor option.

Result: The Options dialog box opens to the Data Monitor options.

5

In the Refresh Rates section, Type in the appropriate value along with units for Request/Receive.

Note: The value and units selected is the frequency the Calterm III tool will request parameter data from the module.

6

In the Refresh Rates section, Type in the appropriate value along with units for Screen.

Note: The value and units selected is the frequency the Calterm III tool will update the Module Monitor Screen.

7

After all the appropriate changes have been made to the Data Monitor options, Click <OK>.

8

Verify the Module Monitor is updating values in the Module Monitor window. If not, from the Monitor menu, Select the Start option or Click on the Start Data Monitoring icon.

9

Verify the appropriate parameters are displayed on the current Module Monitor window. If not, Add or Delete the appropriate parameters to the current Screen.

Note: If parameters are to be used in the Event Driven setup, those parameters must be included on the Module Monitor screen.

10

Verify the desired update rate is correct. If not, Type the appropriate value and Press enter

11

From the Logging menu, Select the Event Driven option.

Result: The Event-driven Logging dialog box opens.

12

In the Starting Configuration section, Select Enable Start Trigger and Click <Edit Start Trigger>.

Result: The Edit Start Condition dialog box opens.

13

In the first field, Select the appropriate parameter, FAULT or TIME entry.

14

In the second field, Select the appropriate option from:

· Is greater than

· Is greater than or equal to

· Is less than

· Is less than or equal to

· Equals

· Does not equal

15

In the third field, Type in the appropriate value for the parameter and condition

16

If selecting multiple parameters or events, Repeat the process and Select the conditional AND/OR options correctly.

17

When all the Start Triggers have been set, Click <OK>.

Result: The Edit Start Conditions dialog box closes and returns to the initial Event-driven Logging dialog box.

18

In the Starting Configuration section, in the Pretrigger field, Type the appropriate amount of time in seconds for Pretrigger logging to occur.

19

In the Stopping Configuration section, Determine whether the stopping of the logger will be based on events or time.

If based on…

Then…

Time

Select the Enable Stop Trigger option. Then, in the Duration field, Type the appropriate value in seconds.

Go to Step 25.

Events

Select Enable Stop Trigger, and Click the <Edit Stop Trigger> button.

Result: The Edit Stop Condition dialog box displays.

Continue with Step 20.

20

In the first field, Select the appropriate parameter, FAULT or TIME entry.

21

In the second field, Select the appropriate option from:

· Is greater than

· Is greater than or equal to

· Is less than

· Is less than or equal to

· Equals

· Does not equal

22

In the third field, Type in the appropriate value for the parameter and condition.

23

If selecting multiple parameters or events, Repeat the process and Select the conditional AND/OR options correctly.

24

When all the Stop Triggers have been set, Click <OK>.

Result: The Edit Stop Condition dialog box closes and returns to the initial Event-driven Logging dialog box.

25

If necessary, Place a checkmark on the Repeat Logging Cycle option and Type the number of desired repeats.

26

When all the appropriate settings for the Event Driven Logger have been set, Click <OK>.

Result: The Event Driven Logger is set and the Logging Indicator changes from Red/OFF to Yellow/Buffering. When all the event criteria are met, logging will commence and the Logging Indicator will change to Green/ON. After all of the stop conditions for the Event Driven Logger have been met, the logger will stop and the Logging Indicator will display a Red/OFF status. Depending on the settings in the Options-Logger section, the Save As dialog box may open.

27

On the Save As dialog box, Select a new Logger data filename or elect to keep the Calterm III generated Logger data filename.

28

When the Logger data filename has been set, Click <Save>.

Result: The Logger Data file may open in the default viewer for the selected file type.

29

Review and Close the Logger data file.


How To Use the BAM Logger

Introduction

Due to the inherent latency of parameter updates when using the standard Request/Receive mode of communications to the module, the SAE (Society of Automotive Engineers) created a standard for the J1939 protocol called BAM, short for Broadcast Announce Messaging. The implementation of Broadcast Announce Messaging (BAM), in Cummins ECM’s, uses a small portion of module memory, mirrors the requested parameter values to the buffer and broadcasts the data across the J1939 bus at the user-selected interval. Core software, using the Data_Collector task, uses a multiplier value, which is evaluated against the modules frame-rate (5msec.), and the resultant output is broadcasted via the J1939 bus to the tool. Calterm III permits the user to set a BAM rate in milleseconds, evaluates the value and sets the multiplier rate to the nearest value, divisible in increments of 5 milleseconds. In other words, if the user selects a BAM rate of 25 milliseconds, the Calterm III tool will set the Data_Collector multiplier rate to 5, (5 x 5[msec] = 25[msec]).

BAM Logger

This table outlines the steps to configure and execute a BAM Logging session.

Step | Action
1 | For BAM Logging to commence, the Calterm III tool must be in Module Monitor mode. At the Calterm III window, from the File menu, Select the Open Module option and follow the instructions. Result: The Module session is open and active.
2 | On the Calterm III window, verify that Request/Receive displays in the Mode field. If not, Click the arrow and select it from the list.
3 | At the Calterm III window, from the Tools menu, Select the Options item. Result: The Options dialog box opens.
4 | In the Options dialog box, Click on the Data Monitor option. Result: The Options dialog box opens to the Data Monitor section.
5 | In the Refresh Rates section, in the BAM field, Type the desired rate in milliseconds. Note: For optimal performance the rate should not be less than 20ms.
6 | In the BAM Trigger field, Select the appropriate trigger method. Note: Options include Engine Speed, Road Speed, Turbo Speed, Clock and Frame. Most applications will use the Clock setting.
7 | After all the appropriate changes have been made to the Data Monitor section, Click <OK>.
8 | At the Calterm III window, with the Module Monitor active in Request/Receive mode, Verify the appropriate parameters are listed in the current Screen. If not, Add or Delete parameters to the current Screen.
9 | Verify the desired update rate is correct. If not, Type the appropriate value and Press enter.
10 | In the Mode field, Select the BAM option. Result: If successful, the Event Log will contain a BAM mode successful entry and the Mode Monitor statistical data area should contain an actual update rate that is close to the desired rate.
11 | To start the BAM Logger, From the Logging menu, Select the Start option or Click the Start icon. Result: The BAM Logger starts and the Logging Indicator in the Task Bar displays with an ON and green status.
12 | To Stop the Logger session, from the Logging menu, Select the Stop option or Click the Stop Logging icon. Result: The Logger stops and the Save As dialog box may open.
13 | From the Save As dialog box, Select a new BAM Logger data filename or elect to keep the Calterm III generated Logger data filename.
14 | When the appropriate BAM Logger data filename has been set, Click <Save>. Result: The BAM Logger data file may open in the default viewer for the selected file type.
15 | Review and Close the BAM Logger data file.


The Internal Data Logger

Using the Internal Data Logger

The Internal Data Logger (IDL) provides an interface that allows the user to configure and log data, using a portion of module memory, as part of the Controls software. The IDL is primarily used because it samples data at a higher resolution (5-20msec.) as opposed to the tool’s External Data Logger (+/- 0.1 sec.). After the recording session is complete, the data is automatically retrieved through the Datalink adapter to be used in Calterm III and other applications.

Not all of Cummins’ Module Products support IDL recording. Some ECMs do not have the additional RAM space required to run an IDL application. In some cases, customer features have outgrown the availability for additional module RAM space to support the Internal Data Logger. However, modules running GTIS 4.5, Core-2 software do support IDL recording.

Running the Internal Data Logger

The RAM space in the module devoted to capturing IDL data typically is a fixed size. Products that support IDL recording typically allocate 32-64K of memory space that operates as a data buffer. When the circular ‘ring’ buffer space becomes completely filled with data, the IDL continues writing data to the buffer by starting at the beginning of the space and overwriting existing data as it goes. The Internal Data Logger (IDL) provides a means to specify which data to save in the midst of this cycling process for subsequent retrieval by Calterm III. The IDL Logging section of the Options dialog box provides a user interface that sets frequency, type of trigger, buffer management and retrieval of data. The Calterm III main window provides the starting and stopping of the IDL. In addition, numerous messages are sent to the Event Log during the Internal Data Logger process.

Find Out More

Collecting Specific Data

How To Use the Internal Data Logger


Collecting Specific Data

Collecting Specific Data

The Internal Data Logger (IDL) permits the user to save specific data with the Immediate (Stop), Full (Fill), and Centered (Center) functions. This table outlines the data saved with each function.

NGET / Calterm III Labels | Description | Diagram
Stop | Saves the data currently in the ring buffer when the <Stop> option is selected and the Stop trigger has been executed. (All History) |
Fill | Saves all data logged to the ring buffer starting after the <Fill> option is selected and the Stop trigger has been executed. (All Future) |
Center | Saves half of the data currently in the ring buffer and records another half of data after the <Center> option has been selected and the Stop trigger has been executed. (½ History, ½ Future) |


How To Use the Internal Data Logger

Introduction

Due to the inherent latency of parameter updates using the standard Request/Receive mode, the Internal Data Logger and BAM was implemented as part of the Core-1 and Core-2 Controls software. The Internal Data Logger uses a small portion of module memory for the setup of parameter entries. In addition, the IDL uses another substantial portion of memory to serve as a data bucket. The mechanism that triggers the recording of IDL data can be time based, either clock or frame-rate, or can be initiated from an external device like Engine Speed, Road Speed or Turbo Speed. The starting and stopping of recording data to file, along with the frequency of data sampling is under the control of the user and the IDL algorithm. The IDL options give the user the capability to set frequency, type of triggering device, display, formatting and presentation of logger data all within a single recording session or saved globally in the Options section.

Internal Data Logger

This table outlines the steps to configure and execute an Internal Data Logger session.

Step

Action

1

Before the IDL is executed, Calterm III must be in Module Monitor mode. At the Calterm III window, from the File menu, Select the Open Module option, follow the instructions and Verify that the tool is actively requesting data from the module.

Result: The Module session is open and monitoring data.

2

At the Calterm III window, from the Tools menu, Select the Options item.

3

In the Options dialog box, Click on the IDL Logging option.

Result: The Options dialog box opens to the IDL Logging section.

4

In the Trigger Mode field, Select the appropriate type from Engine Speed, Road Speed, Turbo Speed, Clock or Frame.

5

In the Refresh Rate field, Type the desired rate in milliseconds.

Note: The Frame-rate for a CM-850 module is 5[ms]. If the user selects a value that is not divisible by 5, then the Calterm III tool will round the input to the closest value.

6

In the Stop mode section, Select the appropriate stop type from Stop, Center or Fill.

7

Verify that the Auto Transfer IDL Buffer option is set correctly.

8

After all the appropriate changes have been made to the IDL Logging section, Click <OK>.

9

At the Calterm III window, Verify that Request/Receive displays in the mode field. If not, Select it from the list.

10

Verify the appropriate parameters are displayed on the current Screen. If not, Add or Delete parameters to the current screen for executing an Internal Data Logger session.

Note: The IDL does not support interface parameters, hex addresses and table array data. If necessary, remove unsupported parameters prior to starting the IDL.

11

When all of the appropriate parameters are displayed on the current Screen, from the Icon bar, Click on the <Start IDL> icon.

Result: The Calterm III tool sends the IDL request to the module. If successful, an IDL Logging information window will display then close and the Event Log will state the IDL is in stated state.

12

To stop the Internal Data Logger, from the Icon task bar, Click on the <Stop IDL> icon.

Result: The IDL session continues to process the buffer and initiates the Buffer Transfer from the module to the Calterm III tool provided the Auto-Transfer option is active. If the Auto Transfer mode is turned off then the user must select the <Retrieve IDL Buffer> option on the icon bar.

13

When the Buffer transfer completes, the Save As dialog box may open.

14

From the Save As dialog box, Select a new IDL data filename or elect to keep the default IDL data filename.

15

When the appropriate IDL data filename has been set, Click <Save>.

Result: The IDL data file may open in the default viewer for the selected file type.

16

Review and Close the IDL data file.


How To Review a Log File

Introduction

Depending on the options setup under Options-Logger, the Log file may display immediately upon the completion of logging. However, it is possible to review the Log file at a later time.

Reviewing a Log File

This table outlines the steps for reviewing a Log file.

Step | Action
1 | From the View menu, Select the Log File option. Result: The Open Log file dialog box displays.
2 | Select the appropriate Logger data file, and Click <Open>. Result: The chosen Logger data file is displayed in the default viewer for the selected file type.
3 | Review and Close the data file.


ECM Communications

Introduction

Calterm III has the capability to communicate with the module by using commands or operations. The commands are available in the Calterm III Commands menu and keyboard shortcuts, provided the tool is currently running in Module mode and the Module Data Monitor is active.

With the addition of the Global Tool Interface Specification 4.5, the methodology and command naming conventions, have changed substantially from earlier GTIS versions. For instance, prior to GTIS 4.5, modules had the capability to run from Default (ROM) or Development (RAM) memory. In GTIS 4.5, the module either runs in Application or Boot mode and the ChangeLock permissions provide the functional equivalent of running from Default or Development memory. GTIS 4.5 Module Commands typically must pass several conditionals before the command is successfully executed.

This chapter will include GTIS 4.5 module commands as well as the legacy, GTIS Pre-2, 2 and 3.8 module commands. Integration of GTIS 3.8 products in Calterm III has limited support with the release of version 2.3. For further details, visit the website: http://etools.ctg.cummins.com/caltermiii

Find Out More

GTIS 4.5 Module Commands

How To Use the Send Operation

Legacy Module Commands (GTIS Pre-2, 2, and 3.8)


GTIS 4

GTIS 4.5 Module Commands

Introduction

Calterm III has the capability to send specific commands or operations to a module. The Commands menu contains several functions that control particular aspects of a GTIS 4.5 module. The user can request sole command access to the module through the ChangeLock request, access to the Application or Boot module modes, request that current changes made to module memory locations to be saved, held or cancelled, display the status of the ChangeLock owner, erase active, inactive or both types of faults, stop and start the module broadcast, set module security and reconnect to the module.

Find Out More

Request ChangeLock

Release ChangeLock

Run From Application

Run From Boot

Save Changes

Hold Changes

Cancel Changes

Display ChangeLock Owner

Display Client Device Path

Erase Active Faults

Erase Inactive Faults

Erase All Faults

Start Broadcast

Stop Broadcast

Toggle Security Switch

Reconnect ECM

Reset Datalink


Request ChangeLock

Request ChangeLock

GTIS 4.5 compliant module calibrations grant permission of only one tool at a time to request changes to module memory locations and/or to execute module operations. As a result, one tool has to request ChangeLock permissions at the beginning of the module session or after the connection to the module has been established. Calterm III, by default, requests the ChangeLock at the start of a Module session.

To execute this operation, from the Commands menu, Select the Request ChangeLock option.

Result: The request is sent to the module, the ChangeLock icon is updated and a Success/Failure message is displayed in the Event Log.


Release ChangeLock

Release ChangeLock

GTIS 4.5 compliant module calibrations grant permission of only one tool at a time to request changes to module memory locations and/or to execute module operations. As a result, the tool may need to relinquish its ChangeLock permissions or the user wants to reset all of the module changes during the current session to default values. The Release ChangeLock command instructs the module to release Calterm III’s ChangeLock status.

To execute this operation, from the Commands menu, Select the Release ChangeLock option.

Result: The request is sent to the module, the ChangeLock icon is updated and a Success/Failure message is displayed in the Event Log.


Run From Application

Run from Application

GTIS 4.5 module calibrations have two run locations, Application and Boot. GTIS 4.5 module calibrations primarily Run from Application mode. However, there are circumstances when the user may need to change the run location, for the purposes of diagnostics or to restart the module in Application mode.

To execute this operation, from the Commands menu, Select the Run from Application option.

Result: The request is sent to the module, the Run Location field in the Product Information window updates and a Success/Failure message is displayed in the Event Log.


Run From Boot

Run from Boot

GTIS 4.5 module calibrations primarily Run from Application mode. However, there are circumstances when the user may need to change the run location to Boot, for the purposes of diagnostics, to stop a corrupt calibration from executing its code in the module, or when downloading a new calibration to the module.

***Warning***

Using the Run from Boot command will cause the engine to stop running, erase the current calibration in the module, run from the Boot Loader code and change the ECM status to 1D0A. After this command is executed, a new calibration must be downloaded into the module.

Use this command with extreme caution!

To execute this operation, from the Commands menu, Select the Run from Boot option.

Result: The tool requests a confirmation, then the request is sent to the module, the communication session is closed and reopened displaying ROM Boot in the Product Information window along with several new entries in the Event Log.


Save Changes

Save Changes

The Save Changes command instructs the module to save specific parameter values to non-volatile memory locations. Typically this command saves Trim parameters along with diagnostic information in the A/B sections of E-Squared memory. In addition to saving parameter values, GTIS 4.5 module calibrations will update Audit Trail information internally in the module. This command is the functional equivalent of the Copy Refresh RAM to EEPROM command used in Pre-GTIS 4.5 products.

To execute this operation, from the Commands menu, Select the Save Changes option.

Result: The request is sent to the module, the appropriate parameter values are saved in Flash memory in the Module along with a Success/Failure message is displayed in the Event Log.


Hold Changes

Hold Changes

The Hold Changes command instructs the module to save specific parameter values to volatile memory locations. The changes are on hold in module memory after the Calterm III tool disconnects and are not released until the Keyswitch or power to the module is reset. This command is useful when field-testing a calibration application after a tool disconnect but not wanting the changes to be permanent.

To execute this operation, from the Commands menu, Select the Hold Changes option.

Result: The request is sent to the module, values are held in volatile memory locations within the module along with a Success/Failure message is displayed in the Event Log.


Cancel Changes

Cancel Changes

The Cancel Changes operation instructs the module to not save specific parameter values to non-volatile or volatile memory locations. When the Cancel Changes command is executed, all of the current changes to module memory locations will be undone. In addition, when this command is executed, the Audit Trail is not updated.

To execute this operation, from the Commands menu, Select the Cancel Changes option.

Result: The request is sent to the module, which undoes all changes during the current session along with a Success/Failure message is displayed in the Event Log.


Display ChangeLock Owner

Display ChangeLock Owner

GTIS 4.5 compliant module calibrations grant permission of only one tool at a time to request changes to module memory locations and/or to execute module operations. The Display ChangeLock Owner command displays which tool has ChangeLock ownership and the current status of the Hold Changes operation.

To execute the operation, from the Commands menu, Select the Display ChangeLock Owner option.

Result: The request is sent to the module, an information window displays the ChangeLock owner and the Hold Changes status, and a Success/Failure message is displayed in the Event Log.


Display Client Device Path

Display Client Device Path

In a Multi-module environment, an Engineering tool currently communicating with the Parent module must be able to determine whether it can communicate with a child module. The Display Client Device Path operation instructs the parent module to display this information to the Calterm III tool.

To execute this operation, from the Commands menu, Select the Display Client Device Path option.

Result: The request is sent to the module and a Success/Failure message is displayed in the Event Log.


Erase Active Faults

Erase Active Faults

The Erase Active Faults command requests the module to erase active fault codes and set their counters to zero.

To execute this operation, from the Commands menu, Select the Erase Active Faults option.

Result: The request is sent to the module and a Success/Failure message is displayed in the Event Log.


Erase Inactive Faults

Erase Inactive Faults

The Erase Inactive Faults command requests the module to erase inactive fault codes and set their counters to zero.

To execute this operation, from the Commands menu, Select the Erase Inactive Faults option.

Result: The request is sent to the module and a Success/Failure message is displayed in the Event Log.


Erase All Faults

Erase All Faults

The Erase All Faults operation requests the module to erase both active and inactive fault codes and set their counters to zero.

To execute this operation, from the Commands menu, Select the Erase All Faults option.

Result: The request is sent to the module and a Success/Failure message is displayed in the Event Log.


Start Broadcast

Start Broadcast

The Start Broadcast operation requests the module to start broadcasting on the J1939 Datalink.

To execute this operation, from the Commands menu, Select the Start Broadcast option.

Result: The request is sent to the module and a Success/Failure message is displayed in the Event Log.


Stop Broadcast

Stop Broadcast

The Stop Broadcast operation requests the module to stop broadcasting on the J1939 Datalink.

To execute this operation, from the Commands menu, Select the Stop Broadcast option.

Result: The tool responds with a confirmation window, a request is sent to the module and a Success/Failure message is displayed in the Event Log.


Toggle Security Key

Toggle Security Key

The Toggle Security Key requests the module to switch the current setting on the Module Security Key. If the module is in Engineering_UnLocked (Unsecure), then the status will change to Engineering_Locked (Secure) or vise versa. In addition, if there are any module changes on hold, they will be reset to the original values.

To execute this operation, from the Commands menu, Select the Toggle Security Key option.

Result: The tool responds with a confirmation window, the request is sent to the module, the Data Monitor session is closed and reopened along with a new series of messages displayed in the Event Log.


Reconnect ECM

Reconnect ECM

The Reconnect ECM command instructs the Calterm III tool to attempt a reconnection without closing and reopening the Module session. This command is useful if communication has stopped with the module but before the complete Module Monitor session has terminated.

To execute this operation, from the Commands menu, Select the Reconnect ECM option.

Result: The tool responds with a confirmation window, the request is sent to the module and Datalink, the Data Monitor session is closed and reopened along with a series of new messages displayed in the Event Log.


Reset Datalink

Reset Datalink

The Reset Datalink command instructs the Module Data Monitor session, along with the Datalink, to close the current session and reopen a new session.

To execute this operation, from the Commands menu, Select the Reset Datalink option.

Result: The tool responds with a confirmation window, the request is sent to the module and Datalink, the Data Monitor session is closed and reopened along with a series of new messages displayed in the Event Log.


How To Use the Send Operation

The Send Operation

Introduction

Calterm III supports the use of the Send Operation function. Send Operation is essentially a low level communication between the tool and a GTIS 4.5 Module located on the J1939 DataLink. The Send Operation function is useful to those who need to test low-level functions against their code or ATP, and others who may need to diagnose electronic communications in a service related role. The Send Operation’s use is intended for the advanced user. The majority of Calterm III users will not need the services of this function, primarily because most relevant operations are available from within the context of the Calterm III User-Interface. For further information, see the website, http://etools.ctg.cummins.com/caltermiii or contact the appropriate application or service representative within your organization.

Find Out More

How to Execute a Send Operation

Send Operation Commands


How To Use the Send Operation

How To Execute a Send Operation

Send Operation

This table outlines the steps to execute a Send Operation.

Step | Action
1 | In Calterm III, verify an active and open Module session is running. If necessary, from the File menu, Select the Open Module option and follow the instructions.
2 | From the Monitor menu, Select the Send Operation option. Result: The Send Operation dialog box opens.
3 | In the Device Address field, Select the appropriate module.
4 | In the Select Command field, Select one of the following operations. · GetParameterByID · SetParameterByID · ExecuteOperation · GetDataByAddress · SetDataByAddress · GetAddressByParameterID Result: The Send Operation dialog box will change to reflect the required fields needed for the selected operation to execute successfully.
5 | Type the appropriate values in the appropriate fields.
6 | When the appropriate values have been typed into the appropriate fields, Click <Send>. Result: The Operation is sent to the module for evaluation and execution. The output is displayed in the grid of the Send Operation dialog box.
7 | Review the Send Operation grid for feedback from the executed operations.
8 | To Close the Send Operation dialog box, Click the X icon, located in the upper right-hand corner of the dialog box.


Send Operation Commands

Execute Operation Examples

This chart below provides some examples of supported ExecuteOperation commands.

Command

OP ID (Hex)

Input Argument

calibrationBlocksTransferComplete

15

cancelChanges

F

eraseECMfaults

19

1 – ACTIVE_FAULTS

2 – PREV_ACTIVE_FAULTS

3 – ALL_FAULTS

getChangeLockOwner

12

getClientDevicePath

24

getFaultSnapshots

1A

_fault_code

getParameterSize

1C

_parameter_id

getTypeDescriptor

7

_descriptor_id

holdChanges

D

prepareForCalDownload

13

reinitializeModule

16

releaseChangeLock

C

requestChangeLock

B

resetPassword

9

1 – MASTER_PASSWORD

2 – OEM_PASSWORD

3 – ADJUSTABLE_PASSWORD

4 – RESET_PASSWORD

saveChanges

E

setBroadcastState

11

0 – BCST_OFF

1 – BCST_ON

setEngrSecurityKey

18

0 – ENGR_UNLOCKED

1 – ENGR_LOCKED

setPassword

8

1 – MASTER_PASSWORD

2 – OEM_PASSWORD

3 – ADJUSTABLE_PASSWORD

4 – RESET_PASSWORD

_password

setRunLocation

17

0 – BOOT

1 - APPLICATION

setSuperUser

A

validateBlockCRC

14

_block_number

_tool_side_CRC


Legacy Module Commands

Introduction

Calterm III has the capability to send certain standard commands to a module. The Commands menu contains several functions that control particular aspects of the module The user can command the module to run from a specific memory location, start or stop a broadcast, erase faults or re-flash certain areas of EEPROM memory.

Find Out More

Run From Development

Run From Default

Run From Bootloader

Start Broadcast

Stop Broadcast

Clear Faults

Clear Active Faults

Copy Default to Development

Copy Development to Default

Stop Engine

Toggle Security Key

Reconnect ECM

Reset Datalink


Run From Development

Run from Development

The Run from Development is commonly known as running from Development memory or running from RAM. Some applications, such as the IDL, require the ECM to run from this memory location. Some ECM calibrations do not allow the user to make changes to ECM memory locations unless it is running from this location.

To execute this command, from the Command menu, Select the Run from Development option.

Result: The command is sent to the module and the Event Log will display a Success/Failure message upon completion.

Note: This command can be sent using the F7 key, provided the module is currently running in Default mode.


Run From Default

Run from Default

The Run from Default command is commonly known as running from Default memory or running from ROM. This command instructs the ECM to run from its EEPROM memory locations.

To execute this command, from the Command menu, Select the Run from Default option.

Result: The command is sent to the module and the Event Log will display a Success/Failure message upon completion.

Note: This command can be sent using the F7 key, provided the module is currently running in Development mode.


Run From Bootloader

Run from Boot Loader

The Run from Boot Loader command instructs the ECM to re-boot and run using only the data and code stored in ROM. For CELECT ECMB, this command delivers minimal engine functionality with default calibration values. For CENTRY, this command prepares the ECM for loading a calibration into FLASH and provides no capability for engine operation. For others, the ECM will stop broadcasting and only provide minimal Datalink communications.

To execute this command, from the Command menu, Select the Run from Bootloader option.

Result: A warning message dialog box displays requesting confirmation to the intended command. Click <Yes> to continue or <No> to exit.

Note: Some ECM calibrations do not support this command and must be set into ROM-Boot mode by shorting PINS at the ECM harness or pressing the ROM Boot button on a Portable Power Supply.


Start Broadcast

Start Broadcast

The Start Broadcast command instructs the ECM to begin broadcasting on the Cummins Proprietary Protocol (CPP) channel and the public channel.

To execute this command, from the Command menu, Select the Start Broadcast option.

Result: The command is sent to the module and the Event Log will display a Success/Failure message upon completion.


Stop Broadcast

Stop Broadcast

The Stop Broadcast command instructs the ECM to terminate the broadcast of default messages normally sent during a live ECM session. As a safety measure, the Stop Broadcast command includes a confirmation dialog box prior to sending the command to the ECM.

To execute this command, from the Command menu, Select the Stop Broadcast option.

Result: A warning message dialog box displays to confirm the intended command. Click <Yes> to continue or <No> to cancel.

Note: Using this command could cause unwanted results if the ECM is actively communicating with external devices such as fuel pumps, transmissions, dashboard, etc.


Clear Faults

Clear Faults

The Clear Faults command instructs the ECM to erase existing inactive fault codes from ECM memory. Active faults will remain active after this command has been sent successfully.

To execute this command, from the Command menu, Select the Clear Faults option.

Result: The command is sent to the module and the Event Log will display a Success/Failure message upon completion.


Clear Active Faults

Clear Active Faults

The Clear Active Faults command instructs the ECM to erase Active Faults, including their counters.

To execute this command, from the Command menu, Select the Clear All Faults option.

Result: The command is sent to the module and the Event Log will display a Success/Failure message upon completion.


Copy Default to Development

Copy Default to Development

The Copy Default to Development command instructs the ECM to copy an image of default memory and load it into Development memory.

To execute this command, from the Command menu, Select the Copy Default to Development option.

Result: The command is sent to the module and the Event Log will display a Success/Failure message upon completion.


Copy Development to Default

Copy Development to Default

The Copy Development to Default command instructs the ECM to copy an image of Development memory and load it into Default memory. This command is functionality the same as Copy Refresh RAM to EEPROM.

The Copy Refresh RAM to EEPROM command permits the user to make permanent changes to EEPROM memory locations without having the download a new Calibration to the ECM. In many cases, EEPROM memory contains trim parameters and diagnostic information.

To execute this command, from the Command menu, Select the Copy Development to Default option.

Result: The command is sent to the module and the Event Log will display a Success/Failure message upon completion.


Stop Engine

Stop Engine

The Stop Engine command is used to instruct the ECM to immediately stop the engine. As a safety feature, an additional user prompt displays to confirm this command.

To execute this command, from the Command menu, Select the Stop Engine option.

Result: A warning message dialog box displays to confirm the intended command. Click <Yes> to continue or <No> to cancel.


Toggle Security Key

Toggle Security Key

The Toggle Security Key requests the module to switch the current setting on the Module Security Key. If the module is in Engineering_UnLocked (Unsecure), then the status will change to Engineering_Locked (Secure) or vise versa. In addition, if there are any module changes on hold, they will be reset to the original values.

To execute this operation, from the Commands menu, Select the Toggle Security Key option.

Result: The tool responds with a confirmation window, the request is sent to the module, the Data Monitor session is closed and reopened, and a new series of messages displayed in the Event Log


Reset Datalink

Reset Datalink

The Reset Datalink operation instructs the Datalink adapter to reset the current communication session and initiate a new one. Datalink adapters, using serial communications, can become unresponsive when there are collisions on the data-bus. The reset command can aid in clearing the device of old communication drops.

To execute this operation, from the Command menu, Select the Reset Datalink option.

Result: The tool responds with a confirmation window, the request is sent to the module and Datalink, the Data Monitor session is closed and reopened, and a series of new messages display in the Event Log.


Tools

Introduction

Calterm III was initially developed to support the Cummins’ GTIS 4.5 products in an Engineering development and integration environment. The previous Engineering Tools Organization’ s, (ETO), tools will not support GTIS 4.5 products. As a consequence, Calterm III must support all of the critical functionality of the Calterm II, NGET, Engineering ESDN and UnLock tools. The Tools menu, located on the Calterm III window, provides a mechanism to interact with the SPEED server, Divide a calibration, Assemble and Verify a calibration, Document a calibration, Compare two calibrations or re-generate a Checksum Request (CRC) of several support files and calibrations. In addition, Command Line Interface support has been included with Calterm III, version 2.0 and above.

Find Out More

How To Perform a SPEED Download

How To Perform a SPEED Upload

How To Divide a Calibration

Assembling Calibration Files

How To CRC Files

How To Compare Files

How To Document Files

Calterm CLI: Command Line Interface


How To Perform a SPEED Download

Introduction

Calterm III supports the critical Engineering ESDN functionality for GTIS 4.5 and some legacy products. Calterm III provides an interface to download the contents of calibration data, provided in structured subfile format, configuration and other module support data from the SPEED Server. The SPEED Download application provides the capability to execute a complete product Reload or Last 5 Day download. The Options-Speed Transfer dialog box provides the user with the capability to map a new location to the SPEED server, set global Download Report names and select the type of report output.

For ease of use, Calterm III supports the same product\folder structure as that of its predecessor, Engineering ESDN. In addition, placement and execution of subfile, calibration, configuration and support files follows the same procedures as that of Engineering ESDN. For additional information, see the website: http://etools.ctg.cummins.com and Chapter 8: Appendix F - Calterm III/Engineering ESDN File Types in this document.

SPEED Download

This table outlines the steps to configure and execute a SPEED Download.

Step

Action

1

To configure the SPEED Download options, from the Tools menu, Select Options. Then Click on the SPEED Transfer option.

Result: The SPEED Transfer options display on the Options dialog box.

2

In the Speed Server Download Pathname field, Type in an alternative path to the SPEED Download server, if required.

Note: If connected to a Cummins Domain, this field probably will not need to be altered.

3

In the Default Download Report File field, Type in a new Download Report filename prefix or elect to keep the default filename.

Note: The Download Report will append the string, _000.spd.UserFormat to the Prefix name. The _000 represents an auto-incrementing number. The spd represents a SPEED report and the UserFormat represents the type of file the user selected.

4

In the Report Format field, Select the appropriate report file type from XML, HTML or TXT.

5

When all the appropriate options have been selected, Click <OK>.

Result: The SPEED Transfer options are saved and the dialog box closes.

6

Verify the appropriate product is listed in the Product Information window. If not, at the Calterm III window, from the File menu, Select the Open Product option and follow the instructions.

7

To initiate the SPEED download, from the Tools menu, Select the SPEED Download-Full Download or SPEED Download-Last 5 Days option.

Result: The Download Progress window displays while the download and processing is taking place. At the conclusion of the SPEED download, the default viewer for the Report file type opens displaying the SPEED Download Report.

8

Review and Close the SPEED Download Report.

Result: The Report closes and the appropriate calibration and support files have been downloaded from the SPEED server. The downloaded files have been processed and are located in the …\Product\cal and …\Product\descp file folders.


How To Perform a SPEED Upload

Introduction

The Calterm III tool provides an interface to upload the contents of calibration, configuration and other module related data to the SPEED Server. The SPEED Upload server provides the capability to place files for verification, certification and distribution throughout the Cummins Electronic Software Database Network (ESDN). The Options-SPEED Transfer dialog box provides the user with the capability to map a new location to the SPEED server, set global Upload Report names and select the type of report output.

For ease of use, Calterm III supports the same product\folder structure as that of its predecessor, Engineering ESDN. In addition, placement and execution of subfile, calibration, configuration and support files follows the same procedures as that of Engineering ESDN. For additional information, see the website: http://etools.ctg.cummins.com.

SPEED Upload

This table outlines the steps to configure and execute a SPEED Upload.

Step

Action

1

To configure the SPEED Upload options, from the Tools menu, Select Options. Then Click on the Speed Transfer option.

Result: The Speed Transfer options display in the Options dialog box.

2

In the Speed Server Upload Pathname field, Type in an alternative path to the SPEED server, if required.

Note: If connected to a Cummins Domain, this field probably will not need to be altered.

3

In the Default Upload Report File field, Type in a new Upload Report filename prefix or elect to keep the default filename.

Note: The Upload Report will append the string, _000.spd.UserFormat to the Prefix name. The _000 represents an auto-incrementing number. The spd represents a Speed report and the UserFormat represents the type of file the user selected.

4

In the Report Format field, Select the appropriate report file type from XML, HTML or TXT.

5

When all the appropriate options have been selected, Click <OK>.

Result: The SPEED Transfer options are saved and the dialog box closes.

6

Verify the appropriate product is listed in the Product Information window. If not, at the Calterm III window, from the File menu, Select the Open Product option and follow the instructions.

7

To initiate the SPEED Upload, from the Tools menu, Select the SPEED Upload option.

Result: The Prepare Files to Upload dialog box opens.

8

In the Source Files section, Highlight the appropriate file and Click the < > > button.

Note: Files that have not been prepared correctly will display an error. Typically subfiles that have not been assembled, verified and divided accurately will not be ready for upload to SPEED.

Result: The selected file is moved to the Selected Files Information section.

9

In the Selected Files Information section, Type in the appropriate EJR Number and Part Number.

10

If necessary, Repeat steps 8 and 9 to add additional files for SPEED Upload.

11

When all of the appropriate files and configuration data has been entered, Click <Upload>.

Result: The selected files are uploaded to the SPEED Server and the default viewer for the Upload Report opens displaying the SPEED Upload Report.

12

Review and Close the SPEED Upload Report.

Result: The Report closes and the appropriate calibration and support files have been uploaded to the SPEED Server.


How To Divide a Calibration File

Introduction

Calterm III, like Engineering ESDN, permits the user to divide a full Calibration file. Dividing is the process of separating the calibration file into its Subfiles and options that will eventually create a new calibration. For ease of use, Calterm III supports the same product\folder structure as that of its predecessor, Engineering ESDN. At the conclusion of the Divide, the newly created subfiles are placed in the …\Product\unrlcal folder. For additional information, see the website: http://etools.ctg.cummins.com.

Divide

This table outlines the steps to divide a calibration.

Step | Action
1 | Verify the correct product is listed in the Product Information window. If this setting requires a change, from the File menu, Select the Select Product option and follow the instructions.
2 | From the Tools menu, Select the Divide option. Result: The Calibration Divide dialog box opens to the Select Calibration panel.
3 | By the Configuration field, Click <…>. Result: The Open dialog box displays.
4 | Locate the appropriate Configuration file and Click <Open>. Result: The Calibration Divide dialog box displays the appropriate configuration file.
5 | By the Calibration field, Click <…> Result: The Open dialog box displays.
6 | Locate the appropriate Calibration file and Click <Open>. Result: The Calibration Divide dialog box displays the appropriate calibration file.
7 | When the appropriate calibration and configuration files have been selected, Click <Next>. Result: The Calibration Divide dialog box opens to the Subfile Selection panel.
8 | To change the names of Subfiles, in the Subfile Contents section, Highlight the appropriate subfile type.
9 | In the Subfile Name field, Type an appropriate entry and Click <Change Name>. Result: In the Subfile Contents section, the selected subfile entry is changed.
10 | If necessary, Repeat steps 8 and 9 to rename additional subfiles.
11 | When all of the subfile renaming is complete, Click <Next>. Result: The Calibration Divide dialog box opens to the Report Selection panel.
12 | In the Prefix field, Type a new name or use the default, caldiv. Note: The Calibration Divide report will append the string, _000.Div.UserFormat to the Prefix name. The _000 is an auto-incrementing number, the Div represents a Divide Report and the UserFormat represents the Report file type selected.
13 | In the Format field, Select the appropriate report format from HTML, TXT or XML.
14 | When the appropriate Prefix and Format have been selected, Click <Finish>. Result: The Calibration Divide Progress window displays the progress of the divide. When the Divide has completed, the Calibration Divide Report will display in the default viewer for the format type selected.
15 | Review and Close the Calibration Divide Report. Result: The Report closes and the created subfiles are saved in the …\Product\Unrlcal folder, provided the calibration divided with no errors.


Assembling Calibration Files

Introduction

Calterm III, like Engineering ESDN, permits the user to assemble a calibration file. Assembling a calibration file is the process of grouping the appropriate Subfile sets and Options together that will collectively create a new full Calibration file. After it has been assembled, the user has the option to save the new calibration file to disk. For additional information, see the website: http://etools.ctg.cummins.com and Chapter 8: Appendix F - Calterm III/Engineering ESDN File Types in this document.

Within calibration sets there are two different classifications: Structured and Unstructured. Structured calibrations are released Subfile sets, directly downloaded from the SPEED server and unaltered using Calterm III, NGET or Engineering ESDN. Unstructured calibrations are unreleased calibration/subfile sets that have been altered using Calterm III, NGET or Engineering ESDN. The Assemble processes and verifies Structured and Unstructured calibration files differently. As a result, this guide will document Structured and Unstructured Assemble(s) in separate sections.

Find Out More

How To Execute a Structured Assemble

How To Execute an Unstructured Assemble


How To Execute a Structured Assemble

Introduction

The Calterm III application permits the user to assemble a Calibration file. Assembling a Calibration file is the process of grouping the appropriate Subfile sets and options together that will collectively create a new full Calibration file. After it has been assembled, the user has the option to save the new calibration file to disk.

Structured calibrations are released Subfile sets, directly downloaded from the SPEED server and unaltered using Calterm III, NGET or Engineering ESDN.

Executing a Structured Assemble is essentially the process that happens on the production floor using Manufacturing ESDN. Calterm III, like Engineering ESDN, provides this functionality to aid personnel who are directly responsible for the distribution of calibration data to the SPEED system and those individuals directly involved in the service sector of electronic engine systems.

Structured Assemble

This table outlines the steps to execute a Structured Assemble.

Step

Action

1

Verify the correct product is listed in the Product Information window. If this setting requires a change, from the File menu, Select the Select Product option and follow the instructions.

2

From the Tools menu, Select the Assemble option.

Result: The Assembly Invoker dialog box opens to the Type of Assembly panel.

3

Select the Structured assembly option and Click <Next>.

Result: The Assembly Invoker dialog box opens to the Structured Calibration Selection panel.

4

From the Compatibility file entries section, Highlight the appropriate selection or for more details, Click <Search>.

Result: If <Search> is selected, the Structured Subfile Selection window opens containing more detailed information. Click <Save> to close the window.

5

When the appropriate structured calibration for assembly has been selected, Click <Next>.

Result: The Assembly Invoker dialog box opens to the Summary panel.

6

If all the information is correct, Click <Finish>.

Result: The Subfiles Assembly Progress window displays and closes. At the conclusion of the Assemble, the Save Output Calibration dialog box opens.

7

If necessary, Relocate and Rename the assembled calibration file.

Note: The default structured assembled calibration filename is named ECM_Code.xcal. Structured Assembled calibrations, by default, are saved in the …\Product\unrlcal folder.

8

When the appropriate location and filename have been selected for the Structured calibration, Click <Save>.

Result: The calibration is saved to file and new messages are displayed in the Event Log.


How To Execute an Unstructured Assemble

Introduction

The Calterm III application permits the user to assemble a Calibration file. Assembling a Calibration file is the process of grouping the appropriate Subfile sets and options together that will collectively create a new full Calibration file. After it has been assembled and verified, the user has the option to save the new calibration file to disk.

Unstructured calibrations are released or non-released Subfile sets that have been altered by using Calterm II, NGET, Engineering ESDN or Calterm III.

Executing an Unstructured Assemble is essentially the grouping and verifying of an unreleased subfile set. Typically, the calibration integrator is interested in assembling an unstructured calibration for the purposes of testing in a module. Ultimately the process will lead to the distribution on the SPEED system and ESDN (Electronic Software Database Network).

Calterm III, like Engineering ESDN, provides this functionality to aid personnel who are directly responsible for the distribution of calibration data to the SPEED system and those individuals directly involved in the service sector of electronic engine systems.

Unstructured Assemble

This table outlines the steps to execute an Unstructured Assemble.

Step

Action

1

Verify the correct product is listed in the Product Information window. If this setting requires a change, from the File menu, Select the Select Product option and follow the instructions.

2

From the Tools menu, Select the Assemble option.

Result: The Assembly Invoker dialog box opens to the Type of Assembly panel.

3

Choose the Unstructured assembly option and Click <Next>.

Result: The Assembly Invoker dialog box opens to the Unstructured Subfile Selection panel.

5

From the Select Subfile section, Select the appropriate, SC Option, DO Option or Subfile and Click the < button.

Result: The selected file or option from the Select Subfile section moves over into the Assemble section.

6

If necessary, Repeat steps 4 and 5.

7

In the Verify column, Check or Uncheck the Verify option for the SC Option, DO Option and Subfiles.

Note: By default, the Verify option is set to ON for all Subfiles and Options. The Verify looks for breakpoints in tables, rules-checking violations and subfile to configuration addressing mismatches, etc. The Verify task runs to completion in a few seconds for each subfile and is required for calibration data the user intends to submit to the SPEED system and Engineering ESDN.

8

In the ECM Code field, verify the correct code is displayed.

9

When the appropriate SC Option, DO Option and Subfiles have been selected, the Verify option(s) have been set and the correct ECM Code number is displayed, Click <Next>.

Result: The Assembly Invoker dialog box opens to Header and Configuration File panel.

10

By the Configuration File field, Click <…> to locate the appropriate Configuration file needed and follow the instructions.

11

By the Header File field, Click <…> to locate the appropriate Header file needed and follow the instructions.

12

By the Engine Sub-System field, Click the menu arrow to select the appropriate Engine Sub-System description.

13

When the appropriate Configuration, Header and Engine Sub-System information has been selected, Click <Next>.

Result: The Assembly Invoker dialog box opens to Summary panel.

14

Review the information. If all the information is correct, Click <Finish>.

Result: The Subfiles Assembly Progress window displays and closes. At the conclusion of the Assemble, the Save Output Calibration dialog box opens.

15

If necessary, Relocate and Rename the assembled calibration file.

Note: The default structured assembled calibration filename is named XECM_Code_000.xcal. The X designates an unstructured assemble, ECM_Code is the parameters value, the _000 is an auto-incrementing number, followed by an xcal extension. Unstructured Assembled calibrations, by default, are saved in the …\Product\unrlcal folder.

16

When the appropriate location and filename have been selected for the Unstructured calibration, Click <Save>.

Result: The calibration is saved to file and the verification process is executed. At the conclusion of an unstructured assemble and verify the Subfile Verify Report will display in the default viewer.

17

Review and Close the Subfile Verify Report.

Note: All Options and Subfiles should display no errors if the user wishes to Upload the assembled files to the SPEED system. If errors exist, further editing along with a new assemble and verify will be necessary prior to Uploading to the SPEED server.

Result: The unstructured set of subfiles has been assembled and verified along with new messages displayed in the Event Log.


How To CRC Files

Introduction

Calibration, configuration, subfiles and some support files have checksum entries listed within their contents. The Checksum is a way to control and validate the toolsets that are permitted to edit Cummins calibration data. In many instances, users are unaware that the checksum is being recalculated and written to a file at the end of an editing session. In other instances, the altered files are not exposed to the checksum algorithm. Calterm III provides the CRC utility to aid the user in validating and securing their work with calibration data and support files.

Note: This CRC Files utility is only available if the Calterm III installation is set with Enterprise edition level access.

CRC Files

This table outlines the steps to CRC a file.

Step | Action
1 | Verify the correct product is listed in the Product Information window. If this setting requires a change, from the File menu, Select the Select Product option and follow the instructions.
2 | From the Tools menu, Select the CRC Files option. Result: The CRC File Selection dialog box is displayed.
3 | Click <Add>. Result: The Select file(s) to CRC dialog box opens.
4 | Locate the appropriate Calibration, Configuration, Subfile or other support file and Click <Open>. Result: The selected file is listed in the CRC File Table section of the CRC File Selection dialog box.
5 | If necessary, Click <Add> and repeat Step 4 to include additional files.
6 | When all the appropriate files have been selected, Click <CRC>. Result: The CRC utility applies the checksum algorithm and provides statistics for each file selected.
7 | To Exit the CRC Files application, Click <Close>. Result: The CRC Files application closes.


How To Compare Files

Introduction

Calterm III, like NGET and Engineering ESDN, provides the capability to compare and document the contents of two calibration files. The Compare functionality aids the calibration integrator who needs to quickly know the differences between two calibrations. Calterm III supports compares with Source files that are full Calibrations, Subfiles or Import/Export files and Target files that are Full Calibrations or Subfiles. The Compare document, sorted by subfile and group designations, clearly identifies the differences between the Source and Target calibration data, along with statistical information in the Summary section of the document.

Compare

This table outlines the steps to compare two calibration files.

Step

Action

1

From the Tools menu, Select the Compare option.

Result: The Calibration Compare dialog box opens to the Select Files Type panel.

2

In the First Source Type section, Select the appropriate type from Calibration, Subfile or Import/Export file.

3

In the Second Source Type section, Select the appropriate type from Calibration or Subfile.

4

When the First and Second Source types are set, Click <Next>.

Result: The Calibration Compare dialog box opens to the Select First Calibration panel.

5

To select the appropriate configuration file, by the Configuration field, Click <…>.

6

Locate the appropriate configuration file and Click <Open>.

Result: The file is listed in the Calibration Compare dialog box.

7

To select the appropriate calibration file, by the Calibration field, Click <…>.

8

Locate the appropriate calibration file and Click <Open>.

Result: The file is listed in the Calibration Compare dialog box.

9

When the appropriate files have been selected for the First Calibration, Click <Next>.

Result: The Calibration Compare dialog box opens to the Select Second Calibration panel.

10

To select the appropriate configuration file, by the Configuration field, Click <…>.

11

Locate the appropriate configuration file and Click <Open>.

Result: The file is listed in the Calibration Compare dialog box.

12

To select the appropriate calibration file, by the Calibration field, Click <…>.

13

Locate the appropriate calibration file and Click <Open>.

Result: The file is listed in the Calibration Compare dialog box.

14

When the appropriate files have been selected for the Second Calibration, Click <Next>.

Result: The Calibration Compare dialog box opens to the Configure Report panel.

15

In the Report Filename Prefix field, Type in a new name or elect to keep the default name.

Note: The Calibration Compare Report appends the string, _000.cmp.UserFormat to the prefix name. The _000 is an auto-incrementing number, the cmp represents a compare report and the UserFormat is the type of Compare report selected.

16

From the Output Format field, Select the appropriate format from HTML, XML or TXT.

17

Select the appropriate options from Sort by subfiles and Sort by groups.

18

When the appropriate Output Format, File Prefix and Report options have been selected, Click <Next>.

Result: The Calibration Compare dialog box opens to the Filter Parameters panel.

19

The Filter Parameters panel permits the user to create a Filter scheme, save it to file or load a previously saved filter file. If filtering is not desired, go to Step 26.

20

From the Filter Mode section, Select the appropriate option from Include Selected Parameters, to process the parameters, subfiles, or groups listed in the Selected List, or Exclude Selected Parameters, to filter all parameters, subfiles, or groups in the Selected List box.

Note: At this time a previously created filter can be applied by Clicking the <Open> button in the Filter File section.

21

In the Parameter List section, Highlight the appropriate Subfile, Group or Parameter and Click the < >> > button.

Result: The selected parameters, subfiles or groups move to the Selected List section.

22

After creating the appropriate filter scheme, the user can save the filter to file. In the Filter File section, Click <Save>.

Result: The Save As dialog box displays.

23

Type in the appropriate Filter filename prefix and Click <Save>.

24

When all of the appropriate files and filtering have been applied, Click <Finish>.

Result: The Calibration Compare Report begins and the progress meter increments. At the conclusion of the compare, the Calibration Compare Report displays in the default viewer of the file type selected.

25

Review and Close the Calibration Compare Report.


How To Document a Calibration File

Introduction

Calterm III provides the capability to create a detailed document for full calibrations or a single subfile. The document sorts parameters by Subfile and Group designations. Contained within the Calibration Document Report will be the parameter name, value(s), units and the configuration file comment.

Document File

This table outlines the steps to document a calibration file.

Step

Action

1

From the Tools menu, Select the Document-File option.

Result: The Calibration Document dialog box opens to the Select Calibration panel.

2

By the Configuration field, Click <…>.

Result: The Open dialog box displays.

3

Locate the appropriate Configuration file and Click <Open>.

Result: The Open dialog box closes and the Select Calibration dialog box lists the appropriate configuration file.

4

By the Source field, Click <…>.

Result: The Open dialog box displays.

5

Locate the appropriate Calibration file or Subfile and Click <Open>.

Result: The Open dialog box closes and the Select Calibration dialog box lists the appropriate source file.

6

When the appropriate Configuration and Source files have been selected, Click <Next>.

Result: The Calibration Document dialog box opens to the Configure Report panel.

7

In the Output Format field, Select the appropriate format from HTML, XML or TXT.

8

In the File Prefix field, Type in the appropriate prefix name or elect the keep the default name.

Note: The Calibration Document Report will append the string, _000.doc.UserFormat to the prefix name. The _000 is an auto-incrementing number, the doc represents a Document file and the UserFormat is the type of document selected: HTML, XML or TXT.

9

Select the appropriate items from Sort by subfiles and Sort by groups.

10

When the appropriate Output Format, File Prefix and Report options have been selected, Click <Next>.

Result: The Calibration Document dialog box opens to the Filter Parameters panel.

11

The Filter Parameters page permits the user to create a Filter scheme, save it to file or load a previously saved filter file. If filtering is not desired, then go to Step 18.

12

From the Filter Mode section, Select the appropriate option from Include Selected Parameters, to process the parameters, subfiles, or groups listed in the Selected List, or Exclude Selected Parameters, to filter all parameters, subfiles, or groups in the Selected List box.

Note: A previously created filter can be applied by Clicking the <Open> button in the Filter File section.

13

In the Parameter List section, Highlight the appropriate Subfile, group or single parameter and Click the < >> > button.

Result: The selected parameter(s), subfiles or groups move to the Selected List section.

14

After creating the appropriate filter scheme, the user can save the filter to file. In the Filter File section, Click <Save>.

Result: The Save As dialog box displays.

15

Type in the appropriate Filter filename prefix and Click <Save>.

16

When all of the appropriate files and filtering have been applied, Click <Finish>.

Result: The Calibration Document Report begins and the progress meter increments. At the conclusion of the Calibration Document Report process, the report displays in the default viewer of the file type selected.

17

Review and Close the Calibration Document Report.

Result: The Calibration Document Report closes along with new entries into the Event Log.

18

Review and Close the Calibration Document Report.


CaltermCLI: Command Line Interface

Introduction

The CaltermCLI command resides in the Calterm III folder. This executable gives the user the capability to write extensive calibration building routines, placed in a batch file or command line, executed automatically and unattended. This command facilitates the writing of a batch file that can be written several hundred lines long. The user can start the command or batch file in the evening and come back to a completed set of new calibration data and reports the next day. CaltermCLI will eventually replace the ESDNCLI and NGETCLI commands, found in Engineering ESDN and NGET.

CaltermCLI Features

Features found in the CaltermCLI application include the following.

· Automated and unattended control

· Functional conventions and control of a standard batch file

· Unlimited batch size

· Support for a Success/Failure Report within every instance of CaltermCLI

· Documentation of Success/Failure statistics within the contents of each commands own report file

· Help screen availability

· Monitor functionality that prints active report to screen

· Interactive functionality that permits user intervention during process

CaltermCLI Functions

This table outlines CaltermCLI and the equivalent Calterm III functions.

CaltermCLI | Calterm III
Compare | Compare: One to One
Overlay | Overlay: One to One to One
Import | Overlay: Many to One to One
Export | Export
Assemble | Assemble

CaltermCLI Usage Requirements

The following are requirements for using CaltermCLI.

· CaltermCLI and batch files must be executed from within the Calterm III directory

· Whole CaltermCLI command, including switch data, must be written on one line

· Windows 98 limits batch file length to 255 characters on one line

· CaltermCLI switches may be entered in any order

· CaltermCLI arguments are not case sensitive

Batch File Example

This is an example of a CaltermCLI batch file. Batch files must be stored in the Calterm III folder to execute properly.

REM This is an example of CaltermCLI running 3 separate one to one to one Overlays

“D:\Calterm III\CaltermCLI.exe” -coverlay -pe2i –sD:\P11000006.xcal -e1D:\P11000006.ecfg -yD:\P110000010.xcal -e2D:\P110000010.ecfg -iover -vfalse

“D:\Calterm III\CaltermCLI.exe” -coverlay -pe2i -sD:\P11000005.xcal -e1D:\P11000005.ecfg -yD:\P110000010.xcal -e2D:\P110000010.ecfg -iover -vfalse

“D:\Calterm III\CaltermCLI.exe” -coverlay -pe2i -sD:\P11000005.xcal -e1D:\P11000005.ecfg -yD:\P11000006.xcal -e2D:\P11000006.ecfg -iover -vfalse

REM This is an example of CaltermCLI running 2 separate compares

"D:\Calterm III\CaltermCLI.exe" -ccompare -pe2i -sd:\P11000006.xcal -e1d:\P11000006.ecfg -fd:\P110000010.xcal -e2d:\P110000010.ecfg -rCompare1.txt

"D:\Calterm III\CaltermCLI.exe" -ccompare -pe2i -sd:\P110000010.xcal -e1d:\P110000010.ecfg -fd:\P110000011.xcal -e2d:\P110000011.ecfg -rCompare2.txt

REM This is an example of CaltermCLI creating an Export file

"D:\Calterm III\CaltermCLI.exe" -cexport -pe2i -SD:\ph1219.xcal -Ed:\ph1219.ecfg -Gd:\E2IFiltA.flt.txt -Od:\E2I_Export2.exp.xml

Running CaltermCLI

This table outlines the steps for running CaltermCLI.

Step | Action
1 | Create a BATCH file with the appropriate commands and options and save it in the Calterm III folder.
2 | From the Windows desktop, open an MS-DOS window. Note: CaltermCLI does not run from DOS, it must be run within an MS-DOS window.
3 | In the MS-DOS window, move to the Calterm III folder on the appropriate drive.
4 | At the prompt, Type the name of the CaltermCLI batch file. Note: CaltermCLI will not execute if Calterm III is running and records an error.
5 | The CaltermCLI command executes the lines of the batch file one at a time, generating the requested files and reports.
6 | When finished, exit the MS-DOS window to return to the desktop.


About Installing the CANCard2 and CAN-AC2 Cards

Introduction

Calterm III has the ability to communicate through a Softing CANcard2, a CAN-AC2 PCI card or a CAN-AC2 ISA card. These devices have been widely used for automotive communication utilizing the CAN/J1939 network.

Note: The Softing driver package requires Admin privileges during the installation process.

Note to PowerSweep users

PowerSweep users can request the Softing driver package through the Software Shelf system. For additional information see the website: http://etools.ctg.cummins.com/caltermiii

For non PowerSweep users the Softing driver packages are available at

http://www.softing.com/en/communications/downloads/software/can/can_l2_driver_dl.htm

Find Out More

How To Install the Softing CANcard2 with Calterm III

How To Install the Softing CAN-AC2 PCI Card with Calterm III

How To Install the Softing CAN-AC2 ISA Card with Calterm III


How To Install the Softing CANcard2 with Calterm III

Introduction

The Softing CANcard2 has proven to be an excellent DataLink Adapter with several Tools that support the CAN/J1939 protocol. In fact, many laptop users have chosen it for its reliable delivery of data to and from the ECM.

This guide was specifically written to assist the user in installing the CANcard2 software on Windows NT. Windows NT, unlike Windows 98, 2000 and XP, does not have the luxury of Plug and Play. Its setup and configuration requires a little more intelligent user intervention. To the unseasoned user an unsuccessful installation can easily lead to frustration.

Hopefully this guide will assist all users who use it.

The Softing CANcard2 installation software contains a readme.txt file. It contains some very useful information and helps clarify which version of the software is right for your application. Please take the time to read it before you attempt this installation.

This guide assumes this installation is the first attempt using the Softing CANcard2 software. The Softing readme.txt file strongly urges removal of any pre-existing versions of the CANcard2 software prior to any new installation.

If you discover any errors or inconsistencies with this document, please send a Lotus Note to Calterm or an e-mail to calterm@cummins.com

Installing the Softing CANcard2 with Calterm III and Windows NT consists of the following steps:

1. Insert CANcard2 into PCMCIA slot

2. Verify CANcard2 recognition

3. Select appropriate memory range

4. Select available IRQ address

5. Download and execute installation software

6. Verify device status

7. Test device

8. Configuring the CANcard2 with Calterm III

Note: Installations using Windows 98, ME, 2000 or XP should execute steps 5, 1, 6, 7 and 8.

Installing the Softing CANcard2

This table outlines the steps for installing the Softing CANcard2 with Calterm III.

Step

Action

Insert CANcard2 into PCMCIA slot

1

Log out of Windows NT and turn the machine off.

2

Slide the CANcard2 into the PCMCIA slot.

3

Boot the machine.

Verify CANcard2 recognition

4

Click the Windows <Start> button and from Settings, Select the Control Panel option and DoubleClick the PC Card icon.

Result: The PC Card (PCMCIA) Devices dialog box displays.

5

Verify that the CANcard2 has been recognized by confirming SOFTING GmbH CANcard2 PCMCIA Interface – Socket 1 is displayed on the Socket Status tab.

6

Exit back to the desktop.

Select Appropriate Memory Range

9

Open the Control Panel and DoubleClick the PC Card icon.

Result: The PC Card (PCMCIA) Devices dialog box displays.

10

Click the Controller tab to bring it to the front.

11

Make a note of the memory range.

Example: D0000 – DFFFF

12

Exit back to the desktop.

Select Available IRQ Address

13

Click the Windows <Start> button, then from Programs Select the Administrative Tools option. Then Select Windows NT Diagnostics.

Result: The Windows NT Diagnostics dialog box displays.

14

Click the Resources tab, and make sure the <IRQ> button is depressed.

15

Make a note of an unused IRQ Address. Addresses not listed are available.

Note: IRQs 3, 4, 5, 7, 9, 10 and 11 are supported addresses.

16

Exit back to the desktop.

Download and Execute Installation Software

17

From the computers’ Internet Browser, go to the Softing website:

http://www.softing.com/en/communications/

downloads/software/can/can_l2_driver_dl.htm

18

Download the CANcard2 driver package.

19

Unzip and install the CANcard2 PCI software following the directions from the Installation Wizard.

Note: The installation software will contain a readme.txt file. Reading this file will keep the user informed about the latest developments, installation issues and troubleshooting techniques.

20

Open Windows NT Explorer to the directory where the installation software was unzipped.

21

DoubleClick the Setup32.exe file.

Result: The Welcome dialog box displays

22

Click <Next>

Result: The Select Destination Directory dialog box displays.

23

Select the appropriate drive and directory for the installation and Click <Next>

Result: The Hardware Type dialog box displays.

24

Select the CANcard2 (16-bit device) radiobutton and Click <Next>

Result: The Address Selection for WinNT registry dialog box displays.

25

Refer to your selected memory range. Add 1 to the upper limit and Select the radiobutton for the resulting number. Then Click <Next>

Result: The INTERRUPT Number dialog box displays.

26

Refer to your selected IRQ address and Type that number in the field. Then Click <Next>.

Result: The Ready to Install dialog box displays.

27

Click <Next>

Result: The software installs, and the Installation Completed dialog box displays.

28

Click <Finish>

Result: A dialog box displays reminding the user to reboot the machine.

29

Click <OK> to reboot your machine.

Result: The machine is rebooted and the software is installed.

30

While the system is rebooting, Verify the CANcard2 is inserted into the PC card slot.

Verify Device Status

31

Plug the CANcard2 cable into the CANcard2.

32

Connect the loopback cable into both ports of the CANcard2.

33

Open the Control Panel and DoubleClick the PC Card icon.

Result: The PC Card (PCMCIA) Devices dialog box displays.

34

Select the SOFTING GmbH CANcard2 PCMCIA Interface option and Click <Properties>.

Result: The Properties dialog box displays.

35

Click the Card Info tab to bring it to the front.

36

Verify that the following statement is listed below Device Status:

The device is working properly.

37

Exit back to the desktop.

38

Open Windows NT Explorer.

39

Go to the C:\CAN\CANcard2 V4.09\Win32 directory that was created when installing the software.

40

DoubleClick the can_test.exe file.

Result: The CAN_TEST.EXE DOS window displays.

41

Read the screen and select the default options.

Operational mode = f

Select mode of reading events = i

42

If the CAN_TEST completes successfully, the following notice will display.

Initialization successful

Chip is running

43

Remove the loopback cable from both CAN ports, attach the CAN cable to the ECM and Close the DOS window.

Result: The CANcard2 configuration is complete. The user will need to configure Calterm III to use the CANcard2.

Configuring the CANcard2 with Calterm III

44

From the C:\CAN\…\Win32 directory, Copy all of the files and Paste them into the Calterm III > folder and if possible Copy them into the Windows\System32> folder.

45

Start the Calterm III application.

46

From the Monitor menu, Select the OpenModule option.

Result: The Select Module dialog box opens.

47

From the Product Selection field, Highlight the appropriate Product.

48

From the Select a configuration file field, Select the appropriate configuration file.

49

Click on the Datalink tab.

Result: The Datalink section of the OpenModule dialog box opens.

50

From the Protocol field, Select the J1939 option.

51

From the Adapter field, Select the CANcard2 option.

52

From the Port field, Select the appropriate port option.


How To Install the CAN-AC2 PCI Card with Calterm III

Introduction

The Softing CAN-AC2 PCI card has proven to be an excellent DataLink Adapter with several Tools that support the CAN/J1939 protocol. In fact, many desktop users have chosen it for its reliable delivery of data to and from the Electronic Control Module (ECM).

This guide was specifically written to assist the user in installing the CAN-AC2 PCI software on Windows NT. Windows NT, unlike Windows 98, 2000 and XP, does not have the luxury of Plug and Play. Its setup and configuration requires a little more intelligent user intervention. An unsuccessful installation can easily lead to frustration. Hopefully this guide will assist all users who use it.

The Softing CAN-AC2 PCI installation software contains a readme.txt file. It contains some very useful information and helps clarify which version of the software is right for your application. Please take the time to read it before you attempt this installation.

This guide assumes this installation is the first attempt using the Softing CAN-AC2 PCI software. The Softing readme.txt file strongly urges removal of any pre-existing versions of Softing CAN-AC2 driver software prior to any new installation.

If you discover any errors or inconsistencies with this document, please send a Lotus note to Calterm or an e-mail to calterm@cummins.com

Installing the Softing CAN-AC2 PCI with Calterm III consists of the following steps:

1. Download and install the Softing CAN-AC2 PCI version 4.x software

2. Install the Softing CAN-AC2 PCI card

3. Verify System Resources

4. Test the CAN-AC2 PCI device

5. Configure the CAN-AC2 PCI with Calterm III

Installing the Softing CAN-AC2 PCI Card

This table outlines the steps for installing the Softing CAN-AC2 PCI Card with Calterm III.

Step

Action

Download and install the Softing CAN-AC2 PCI version 4.x software

1

From the computers’ Internet Browser, go to the Softing website:

http://www.softing.com/en/communications/

downloads/software/can/can_l2_driver_dl.htm

2

Download the CAN-AC2 PCI drivers and manual.

3

Unzip and install the CAN-AC2 PCI driver software following the directions from the Installation Wizard.

Note: The installation software will contain a readme.txt file. Reading this file will keep the user informed about the latest developments, installation issues and troubleshooting techniques.

4

When the installation is complete and the readme file has been read, shut the computer down.

Install the Softing CAN-AC2 PCI card.

5

Remove all cables attached to the computer and open the case.

6

Locate an empty PCI slot and install the CAN-AC2 card.

7

Verify all internal and external cables are connected and close the case on the computer.

Verify System Resources

9

Click the Windows <Start> button, then from Programs Select the Administrative Tools option. Then Select Windows NT Diagnostics.

Result: The Windows NT Diagnostics dialog box displays.

10

Click the Resources tab.

11

Verify the <IRQ> button is depressed.

12

Verify the vcanpcid entry is listed with a unique IRQ setting.

13

Click the <Memory> button.

Result: The memory options display.

14

Verify the vcanpcid entry has a unique memory address.

15

Click the <Devices> button.

Result: The devices options display.

16

Verify the vcanpcid entry is listed.

17

When all of the selections have been verified, Click <OK>.

Result: The Windows NT Diagnostics dialog box closes.

Test the CAN-AC2 PCI device

18

Open Windows Explorer and locate the Can\AC2_4…\win32 folder.

19

Locate and DoubleClick the can_test.exe file.

Result: The can_test.exe utility starts in an MS-DOS window.

20

Type the letter f to select the FIFO setting.

Result: The CAN-AC2 PCI card is set to FIFO and prompts the user to select the appropriate request protocol.

21

Type the letter i to select the Interrupt setting.

Result: The CAN-AC2 PCI card is set to use Interrupt requests.

22

Type the letter h to select the Help dialog.

Result: The can_test.exe utility is set to open the Help menu.

23

If necessary, choose any additional actions from the Help menu and follow the instructions.

24

When all the appropriate selections are complete, Type q to terminate the can_test.exe utility.

25

Close the MS-DOS window.

Configure the CAN-AC2 PCI with Calterm III

26

From the C:\CAN\…\Win32 directory, Copy all of the files and Paste them into the Calterm III > folder and if possible Copy all of the files into the Windows\System32> folder.

27

Start the Calterm III application.

28

From the Monitor menu, Select the OpenModule option.

Result: The Select Module dialog box opens.

29

From the Product Selection field, Highlight the appropriate Product.

30

From the Select a configuration file field, Select the appropriate configuration file.

31

Click on the Datalink tab.

Result: The Datalink section of the OpenModule dialog box opens.

32

From the Protocol field, Select the J1939 option.

33

From the Adapter field, Select the AC2 option.

34

From the Port field, Select the appropriate port option.

35

When all the appropriate selections have been made, Click <OK>

Result: If successful, Calterm III will begin an active module session with the CAN-AC2.


How To Install the CAN-AC2 ISA Card with Calterm III

Introduction

The Softing CAN-AC2 ISA card has proven to be an excellent DataLink Adapter with several Tools that support the CAN/J1939 protocol. In fact, many desktop users have chosen it for its reliable delivery of data to and from the Electronic Control Module (ECM).

This guide was specifically written to assist the user in installing the CAN-AC2 ISA hardware and software on Windows NT. NT, unlike Windows 98, 2000 and XP, does not have the luxury of Plug and Play. In addition the CAN-AC2 ISA card predates Plug and Play technology. The user is required to manually set jumpers on the card at the appropriate locations. The CAN-AC2 ISA card’s setup and configuration requires a little more intelligent user intervention. An unsuccessful installation can easily lead to frustration.

Hopefully this guide will assist all users who use it.

The Softing CAN-AC2 ISA installation software contains a readme.txt file. It contains some very useful information and helps clarify which version of the software is right for your application. Please take the time to read it before you attempt this installation.

This guide assumes this installation is the first attempt using the Softing CAN-AC2 ISA software. The Softing readme.txt file strongly urges removal of any pre-existing versions of Softing CAN-AC2 driver software prior to any new installation.

If you discover any errors or inconsistencies with this document, please send a Lotus note to Calterm or an e-mail to calterm@cummins.com

Installing the Softing CAN-AC2 ISA with Calterm III consists of the following steps:

1. Pre-verification of System Resources

2. Download the Softing CAN-AC2 ISA version 4.x software and manual

3. Install the Softing CAN-AC2 version 4.5 driver software

4. Install the Softing CAN-AC2 ISA card

5. Post-verification of System Resources

6. Test the CAN-AC2 ISA device

7. Configure the CAN-AC2 ISA with Calterm III

Installing the
CAN-AC2 ISA Card

This table outlines the steps for installing the Softing CAN-AC2 ISA Card with Calterm III.

Step

Action

Pre-verification of System Resources

1

Note: For the CAN-AC2 ISA to work properly there must be an open and unique IRQ and Memory setting for the card to use. Occasionally, the user may be required to move System Resource settings to create an opening for the CAN-AC2 ISA. This example assumes there are available resources available

Click the Windows <Start> button, then from Programs, Select the Administrative Tools option. After that, Select Windows NT Diagnostics.

Result: The Windows NT Diagnostics dialog box displays.

2

Click the Resources tab.

3

Verify the <IRQ> button is depressed.

4

Locate an open IRQ channel and write it down. Ideally the open IRQ should be 5, 7, 9, 10 or 11

5

Click the <Memory> button.

Result: The memory options display.

6

Locate an open Memory address and write it down. Ideally D000-DFFF will be open and available.

7

When all of the selections have been verified, Click <OK>.

Result: The Windows NT Diagnostics dialog box closes.

Download the Softing CAN-AC2 ISA version 4.x software and manual

8

From the computers’ Internet Browser, go to the Softing website:

http://www.softing.com/en/communications/

downloads/software/can/can_l2_driver_dl.htm

9

Download the CAN-AC2 ISA drivers and manual.

10

Unzip and install the CAN-AC2 ISA driver software and manual.

Note: The installation software will ask for the Controller type on the CAN-AC2 ISA as well as System Resource designations. It is critical to answer these questions correctly to avoid having to reinstall the driver software. This installation contains a readme.txt file. Reading this file will keep the user informed about the latest developments, installation issues and troubleshooting techniques.

11

Set the jumpers for the appropriate settings on the CAN-AC2 ISA card. If necessary refer to the user’s manual that was downloaded earlier.

12

When the installation is complete, the readme.txt file has been read and the jumpers have been set on the CAN-AC2, shut the PC down.

Install the Softing CAN-AC2 ISA card.

13

Remove all cables attached to the computer and open the case.

14

Verify the jumpers are set correctly on the CAN-AC2 ISA card.

15

Locate an empty ISA slot and install the CAN-AC2 card.

16

Verify all internal and external cables are connected and close the case on the computer.

17

Reboot the computer.

Post-verification of System Resources

18

Click on Windows Start-Programs-Administrative Tools-Windows NT Diagnostics.

Result: The Windows NT Diagnostics dialog box opens.

19

Click the Resources tab.

20

Verify the <IRQ> button is depressed.

21

Verify the Vcanacd entry is listed with a unique IRQ setting.

22

Click the <Memory> button.

Result: The memory options display.

23

Verify the Vcanacd entry has a unique memory address.

24

Click the <Devices> button.

Result: The Devices options display.

25

Verify the Vcanacd entry is listed.

26

When all of the selections have been verified, Click <OK>.

Result: The Windows NT Diagnostics dialog box closes.

Test the CAN-AC2 ISA device

27

Open Windows Explorer and locate the Can\AC2_4…\win32 folder.

28

Locate and DoubleClick the can_test.exe file.

Result: The can_test.exe utility starts in an MS-DOS window.

29

Type the letter f to select the FIFO setting.

Result: The CAN-AC2 ISA card is set to FIFO and prompts the user to select the appropriate request protocol.

30

Type the letter i to select the Interrupt setting.

Result: The CAN-AC2 ISA card is set to use Interrupt requests.

31

Type the letter h to select the Help dialog.

Result: The can_test.exe utility is set to open the Help menu.

32

If necessary, choose any additional actions from the Help menu and follow the instructions.

33

When all the appropriate selections are complete, Type q to terminate the can_test.exe utility.

34

Close the MS-DOS window.

Configure the CAN-AC2 ISA with Calterm III

35

From the C:\CAN\…\Win32 directory, Copy all of the files and Paste them into the Calterm III > folder and if possible Copy all of the files into the Windows\System32 > folder.

36

Start the Calterm III application.

37

From the Monitor menu, Select the OpenModule option.

Result: The Select Module dialog box opens.

38

From the Product Selection field, Highlight the appropriate Product.

39

From the Select a configuration file field, Select the appropriate configuration file.

40

Click on the Datalink tab.

Result: The Datalink section of the OpenModule dialog box opens.

41

From the Protocol field, Select the J1939 option.

42

From the Adapter field, Select the AC2 option.

43

From the Port field, Select the appropriate port option.

44

When all the appropriate selections have been made, Click <OK>

Result: If successful, Calterm III will begin an active module session with the CAN-AC2.


About Peak System Communication Devices

Introduction

Calterm III has the ability to communicate using Peak Systems Technik GmbH industrial communication devices. These DataLink adapters have been widely used for automotive communication utilizing the CAN/J1939 standard.

Note: The Softing driver package requires Admin privileges during the installation process.

Note to PowerSweep users

PowerSweep users can request the Softing driver package through the Software Shelf system. For additional information see the website: http://etools.ctg.cummins.com/caltermiii

Note: Calterm III should be able to use the Peak Systems DataLink Adapter provided the hardware setup is using a backbone harness with 120-ohm resistors, terminated at each end.

If connecting the PCAN-USB adapter to a hub, the hub must be self-powered. PowerSweep keyboards with USB ports are not self-powered and should not be used with PCAN-USB adapters and Calterm III.

Windows NT and USB devices

Note: Windows NT does not actively support USB devices. Although there are third party vendors supplying USB driver software for Windows NT, Calterm III will not actively support issues arising from using a PCAN to USB interface and Windows NT. Calterm III customers using Windows NT should consider the Peak System PCAN PCI card or PCAN to Parallel as possible network communication solutions.

Find Out More

How To Install the Peak System All-In-One Drivers

How to Upgrade PCAN-USB Firmware


How To Install the Peak System All-In-One Drivers

Introduction

Peak Systems, in cooperation with Cummins Inc., has developed an All-In-One driver package that supports the PCAN-USB, PCAN-PCI and PCAN-Parallel DataLink adapters.

Installing the All-In-One Drivers

This table outlines the steps for installing the Peak System All-In-One Driver package for use with Calterm III.

Step | Action
1 | Download the Peak System All-In-One Driver.exe file to a local drive and execute it. Note: The Peak Systems All-in-One Driver installation is available at: http://etools.ctg.cummins.com/faq/peak_systems/ Result: The Peak System Device Drivers Welcome screen opens.
2 | Click <Next> Result: The Peak System Device Drivers Welcome screen opens.
3 | Click <Next> Result: The Progress screen displays the status of the installation. When complete, the finished dialog box opens.
4 |  | Click <Finish> Result: The drivers are installed.
5 |  | Click <OK> to reboot the system.
6 |  | Verify the correct PCAN device is activated. From the Control Panel, Locate the CAN-Hardware icon and Double-Click. Result: The Properties of CAN-Hardware dialog box opens.
7 |  | Select the appropriate DLA hardware. Options include: Peakcan (non Plug and Play), PCI or USB.
8 |  | When the appropriate hardware option has been set, Click <OK> Note: Calterm III should be able to use the Peak Systems DataLink Adapter provided the hardware setup is using a backbone harness with 120-ohm resistors, terminated at each end.


How To Upgrade PCAN-USB Firmware

Introduction

The Peak Systems PCAN-USB adapter provides better communication to Calterm III and NGET with the upgrade of its firmware to version 2.7 or higher. This section will guide the user in the hardware and software requirements necessary to complete this task.

Note: PCAN-USB adapters with version .7 or 7.0 or higher support firmware upgrade. If the PCAN-USB adapter reads firmware version .3 or 3.0, it will need to be returned to the appropriate vendor for firmware upgrade.

For additional instructions, see the website: http://etools.ctg.cummins.com

PCAN-USB Upgrade

This table outlines the steps for configuring and upgrading the PCAN-USB adapter to version 2.7 or higher firmware.

Step

Action

1

Connect 2 PCAN-USB adapters into 2 USB ports on the PC and attach the appropriate CAN cable(s) with the required terminating resistors on each end of the CAN network.

Note: The firmware upgrades requires 2 PCAN-USB adapters, 2 CAN cables with 120-ohm terminating resistors on each end of the CAN cable. The actual firmware upgrade uses one of the PCAN-USB adapters as a Source to pass the upgrade to the Target adapter.

2

After all of the required hardware connections are made. Verify that 2 PCAN-USB adapters are displayed in the Control Panel. From the Control Panel, Select the PCAN Hardware application and verify 2 PCAN-USB adapters are displayed

3

Locate and Double-Click the Can2Flash_USB.exe file

Result: The CAN2Flash for USB dialog box opens

4

From the Target Device area, Click <Search Device>

Result: From the drop-down arrow, both USB devices are displayed in the list.

5

Select the appropriate device to use as the Target device.

6

From the Source Device area, Click <Search Device>

Result: From the drop-down arrow, both USB devices are displayed in the list.

7

Select the appropriate device to use as the Source device.

8

From the Target Device area, Click <SetFlashMode>

9

From the Source Device area, Click <Connect>

Result: If successful, the File Open button will become active. If not successful, double check the cabling that attaches both PCAN-USB adapters.

10

From the Source Device area, Click <File Open> Locate the usb2_7.can file and Click <OK>

11

From the Source Device area, Click <Start>

Result: The firmware upgrade will proceed with re-flashing the Target device. At the conclusion, a successful message will display.

12

At the successful conclusion of the firmware upgrade, Unplug and plug in both of the PCAN-USB devices from the USB ports on the PC to display the new firmware version.

13

From the Target Device area, Click <Search Device> to display updated firmware version.

14

If necessary, the 2nd Device can be upgraded by reversing the Target and Source Device selections and completing the firmware upgrade procedure.


About Configuring a Module for GTIS 4

About Configuring a Module for GTIS 4.5

Introduction

With the movement to GTIS 4.5, Core-2 Phase 9 calibration software it has become apparent that many older CM-850 modules, especially those in the Development and Integration areas of the company, require several upgrades before they can become useful to the user. This section was designed to aid the user in the required upgrades to the CM-850 module before using with the Calterm III tool.

Note: If the CM-850 module is the newer version A23, it contains the 4.6.0.1 Bootloader code, installed by Motorola, and does not require the configuration steps documented in the section. These newer modules can be used immediately with Calterm III, version 1.1.1.010 or higher.

Find Out More

How To Set the CM-850 Status

About Core-2 Bootloader Software


How To Set the CM-850 status

Introduction

One of the many requirements for GTIS 4.5, Core-2 software is that a CM-850 module will have the appropriate module identifier to work properly in a multi-module network. Calterm III, version 1.1 and Common Components, version 1.3 or greater will check for the appropriate compliance, prior to allowing a communication session to occur. In addition, the appropriate module identifier is required before a successful Download to the Module can occur using Calterm III. This section was designed to aid the user in setting the appropriate module identifier. The following procedure is to commence with a ROM booted module. As a result, the setting of the module identifier should occur prior to the downloading of Core-2, Common Bootloader files, version 4.6 and 4.7.

Note: If the CM-850 module is the newer version A23, it contains the 4.6.0.1 Bootloader code, installed by Motorola, and does not require the configuration steps documented in the section. These newer modules can be used immediately with Calterm III, version 1.1.1.010 or higher.

Setting the
CM-850 status

This table outlines the steps necessary to configure a CM-850 module to read the appropriate module identifier.

Step | Action
1 | ROM-boot the CM-850 module. Note: ROM booting a module can be achieved by selecting the appropriate hardware switching sequence, using an ETO portable power supply or aborting a partial download using with Calterm II, Calterm III or NGET.
2 | Using NGET, open a module session using the Add a Calibration option.
3 | From the NGET Main window, In the parameter entry window, Type 0x0100004E_4 and Press <Enter> Result: The Miscellaneous Parameter Window opens the selected hex address and 4-byte values.
4 |  | From the NGET Main window, In the parameter entry window, Type 0x01000052 and Press <Enter> Result: The 2-byte hex address and value is added to the Miscellaneous Parameter Window.
5 | From the NGET Main window, In the parameter entry window, Type 0xB08ADB_4 and Press <Enter> Result: The 4-byte hex address and values is added to the Miscellaneous Parameter Window.
6 | From the NGET Main window, In the parameter entry window, Type 0xB08ADF and Press <Enter> Result: The 2-byte hex address and value is added to the Miscellaneous Parameter Window.
7 | Save the View, from the View menu, Select the Save View option and follow the instructions.
8 |  | In the value pane for hex address 0xB08ADB_D, Type the value, 434D3835. Result: The edited hex value converts to C, M, 8, 5.
9 |  | In the value pane for hex address 0xB08ADF, Type the value, 3000. Result: The edited hex value converts to 0.
10 |  | In the value pane for hex address 0x0100004_E, Type the value, 434D3835. Result: The edited hex value converts to C, M, 8, 5.
11 |  | In the value pane for hex address 0x1000052, Type the value, 3000. Result: The edited hex value converts to 0.
12 |  | Cycle the Keyswitch.
13 |  | From the Utility menu, Select the Reset Inline II option.
14 |  | From the NGET window, in the Parameter entry window, Type ECM_Name and Press <Enter>.
15 |  | From a cell within the ECM_Name table, Right-Click to change units from None to Hex and verify to correct values are displayed. Result: If successful, the values in the ECM_Name table match.


About Loading Core-2 Bootloader software

Introduction

Before a CM-850 module can be used with Calterm III, the Core-2, versions 4.6 and 4.7 Bootloader calibration software must be downloaded into the module. Calterm III, versions 1.0 and 1.1, only support GTIS 4.5 calibration software. As a result, the Core-2 Bootloader software, versions 4.6 and 4.7 must be Downloaded to the module using Calterm II or NGET.

Find Out More

How To Load Core-2 Bootloader 4.6

How To Load Core-2 Bootloader 4.7


How To Load Core-2 Broadcast 4

How To Load Core-2 Broadcast 4.6

Loading Core-2 Bootloader 4.6

This table outlines the steps necessary to Download the SmartBootCore1toCommon_4600 calibration software into a CM-850 module using NGET.

Step | Action
1 | From the NGET window, Select the Add a Calibration option.
2 | From the Add a Calibration window, Select the Module location, SmartBootCore1toCommon_4600.E2M configuration file, Port, Protocol, Source Address and Click <OK>.
3 | From the NGET window, Select the Calibration location, SmartBootCore1toCommon_4600.E2M configuration file, SmartBootCore1toCommon_4600.cal calibration file and Click <OK>.
4 | Verify both the Calibration and Module environments are open on the NGET window and Highlight the Module environment. Result: The Module environment is highlighted in blue.
5 | From the Calibration menu, Select the Download to ECM option. Result: The Download the calibration to an ECM window opens.
6 | Highlight the SmartBootCore1toCommon_4600.cal selection and Click <OK>. Result: The Download to ECM initiates
7 | Follow the instructions to execute the Download to ECM.
8 | After the Download to ECM has concluded, Close and Open the Module environment. Result: Closing and reopening the Module environment establishes the correct address map from the configuration file.
9 | From the NGET window, at the Parameter entry area, Type Appl_Boot_Loader_Phase_Designation and Press <Enter>. Result: The Miscellaneous individual parameters window opens with the selected parameter, value, units and comment displayed.
10 | From the NGET window, at the Parameter entry area, Type Prog_Bootloader_Key and Press <Enter>. Result: The selected parameter is added to the Miscellaneous individual parameters window.
11 | Change the value of Prog_Bootloader_Key to 1D1D and turn the Keyswitch OFF for 5 minutes.
12 | After 5 minutes, turn the Keyswitch ON
13 | Verify the value for Appl_Boot_Loader_Phase_Designation is 4060000 or 04.06.00.00. Result: If the value is correct, then the SmartBootCore1toCommon_4600 calibration software downloaded successfully to the CM-850 module.
14 | To download the Core-2 Bootloader 4.7 P90016 calibration software into the CM-850 module, then see the next few pages of this section.


How To Load Core-2 Broadcast 4

How To Load Core-2 Broadcast 4.7

Loading Core-2 Bootloader 4.7

This table outlines the steps necessary to Download the Core-2, Bootloader 4.7 P90016 calibration software into a CM-850 module using NGET.

Step | Action
1 | From the NGET window, Select the Add a Calibration option.
2 | From the Add a Calibration window, Select the Module location, Core-2 Bootloader 4.7 P90016.E2M configuration file, Port, Protocol, Source Address and Click <OK>.
3 | From the NGET window, Select the Calibration location, Core-2 Bootloader 4.7 P90016.E2M configuration file, Core-2 Bootloader 4.7 P90016.C02 calibration file and Click <OK>.
4 |  | Verify both the Calibration and Module environments are open on the NGET window and Highlight the Module environment. Result: The Module environment is highlighted in blue.
5 |  | From the Calibration menu, Select the Download to ECM option. Result: The Download the calibration to an ECM window opens.
6 |  | Highlight the Core-2 Bootloader 4.7 P90016.C02 selection and Click <OK>. Result: The Download to ECM initiates
7 |  | Follow the instructions to execute the Download to ECM.
8 |  | After the Download to ECM has concluded, Close and Open the Module environment. Result: Closing and reopening the Module environment establishes the correct address map from the configuration file.
9 | From the NGET window, at the Parameter entry area, Type ECM_ID and Press <Enter>. Note: The value for ECM_ID should read 0x4448 Result: The Miscellaneous individual parameters window opens with the selected parameter, value, units and comment displayed.
10 | From the NGET window, at the Parameter entry area, Type C_Prog_Bootloader_Key and Press <Enter>. Result: The Miscellaneous individual parameters window opens with the selected parameter, value, units and comment displayed.
11 | From the NGET window, at the Parameter entry area, Type ECM_Status and Press <Enter>. Result: The selected parameter is added to the Miscellaneous individual parameters window.
12 |  | Change the value of C_Prog_Bootloader_Key to 1 and turn the Keyswitch OFF for 2 minutes.
13 |  | After 2 minutes, turn the Keyswitch ON
14 |  | Verify the value for ECM_Status is 0x600D (Good Status). Result: If the value is correct, then the Core-2 Bootloader 4.7 P90016.C02 calibration software downloaded successfully to the CM-850 module.
15 |  | After both the Core-2 Bootloader, versions 4.6 and 4.7 have been downloaded to the module, then user can start using Calterm III to Download additional Core-2, Phase9 and above calibrations into the CM-850 module.


About Calterm III/Engineering ESDN File Types

Introduction

Note: This section has been added to the Calterm III Users Manual as reference material for those users who will participate in Engineering ESDN activities. Calterm III, using GTIS 4.5 products, supports all of the current Engineering ESDN functionality, including SPEED Upload and Download, Divide, Assemble, Verify and CRC data files. For more information on Engineering ESDN functionality, see the website, http://etools.ctg.cummins.com/products

There are two types of files manipulated by Calterm III and Engineering ESDN, File A's and File B's. File A’s also called fully Assembled Calibration Files, a Calibration File or a Full Calibration File. Throughout the remainder of this document File A's will be called Full Calibration Files. File B's can also be called Subfiles. Throughout the remainder of this document, File B's will be called Subfiles.

A Full Calibration File contains all the software that is loaded into the programmable memory of an ECM to enable it to run an engine. This includes both executable code and calibration data. A Full Calibration File is only used as an input to or an output from Calterm III or Engineering ESDN, but is not stored within the ESDN system.

The Subfiles are subsets of the Full Calibration Files, and there are various types of Subfiles depending on content as determined by the Calibration Structure. For a particular electronic control system, there are a pre-determined number of Subfiles required to make-up a Full Calibration File. One of each type as defined by the Calibration Structure is required.

File Structure

This diagram illustrates the file structure for electronic software containing eight Subfiles.

Find Out Oure

Full Calibration Files (File A’s)

Subfiles (File B’s)

Header Files


Full Calibration Files (File A's)

Introduction

Complete calibration images used for execution of Electronic Control Modules are called Full Calibration Files. Full Calibration Files contain both executable code images and the coefficients and constants associated with engine features.

Description

A Full Calibration File consists of Subfiles assembled together by the Engineering ESDN tool. A Full Calibration File may be disassembled back into its constituent Subfiles by Calterm III or Engineering ESDN. With a few exceptions, a Full Calibration File is not stored in the corporate database (SPEED Server) but generated each time from Subfiles.

Engineering ESDN Full Calibration File Capabilities

Engineering ESDN can perform the following operations on Full Calibration Files.

· Assemble a Full Calibration File from Subfiles.

· Divide a Full Calibration File into Subfiles

· Compare a Full Calibration File with a set of Subfiles

· Report Full Calibration File content

· Overlay portions of Full Calibration Files onto a Full Calibration File


Subfiles (File B's)

Introduction

Full Calibration Files consist of Subfiles. Subfiles are stored in the corporate database along with an associated part number. Subfiles may be executable code images or calibratable parameter values. Each calibration contains only one executable code Subfile. Typically, Subfile 3 is known as the executable or Code subfile.

Description

Subfiles divide the calibration into manageable pieces and associate the pieces with specific options used in the engine ordering process. The purpose of each Subfile is identified by its type number. The determination of which option support goes into which part numbered Subfile is a cross-functional effort involving product development, marketing, and service.

Typical considerations include:

· Functions

· Features

· Responsible organizations

· Certification

· Minimizing the number of Subfiles changed for calibration revisions

Compatibility

Subfiles, which are assembled into a Full Calibration File, must be compatible with one another. This compatibility is assisted by identifying a Subfile as Released or Unreleased, Structured or Unstructured.

A Subfile, under development on a single Calterm III or Engineering ESDN workstation is identified as unreleased/unstructured. This Subfile is either created from a Full Calibration File or by editing an existing Subfile. Unreleased Subfiles are segregated into a separate directory from released Subfiles. An unreleased Subfile becomes a released Subfile after uploading it to the SPEED Server and submitting an Engineering Job Request (EJR).

A released Subfile is one that has been assigned a part number, via an EJR, and is stored on the SPEED Server.

A structured Subfile is a released Subfile that is identified as a part of a released Full Calibration File.

Elements

A Subfile is identified by the following elements.

Element | Description | Released Example | Unreleased Example
Part Number | 7-Digit Number | 3620870 | F00
Type | Number | 6 | F
Revision Number | 2-Digit Number | 01 | 01
File Name | Database File Name where file name is the Part Number and the extension is the Type and Revision | 3620870.601 | T90001_04.F01 Note: This is for ECM Code derived from full calibration T90001_04.cal

File Name Elements

This diagram illustrates the elements of the File Name.

Subfile Types

Subfile Types, for Calibrations with eight Subfiles, include the following.

Type | Number | Name
Data | 1 | Electronic Constants
Data | 2 | Performance Control
Executable Code | 3 | Engine Control Code
Data | 4 | Engine Control
Data | 5 | Engine Configuration
Data | 6 | System Control
Data | 7 | Installation Trim
Data | 8 | Application Control

Releasing Subfiles

Subfiles that contain coefficients and constants are divided into data, which requires a new release after editing, and data, which does not require a new release. The data requiring release are called calibratable parameters. The data, which may be edited in the field without release, are called adjustable parameters.

Record Types

Each Subfile is a collection of records. The record format for each subfile is identified by its record type.

Calterm III and Engineering ESDN Subfile Capabilities

Calterm III and Engineering ESDN can perform the following operations on Subfiles.

· Edit parameters contained in a Subfile

· Overlay one subfile on another subfile

· Upload a Subfile to the corporate database

· Download a Subfile from the corporate database


Header Files

Introduction

A Full Calibration File also contains header records that are inserted at the top of each calibration. The header records contain system information about the calibration and the applications it supports.

Header Record Types

The header records are of three types.

· Master Header Record

· Block Data Structure (BDS) Header Record

· Save/Restore Header Records

Master Header Record

The Master Header Record is generated automatically by the generation of the File A by the Engineering ESDN tool. It contains the following information.

· Byte count of the data contained in the record

· Header record type

· Number of header records following the master header record

Block Data Structure Header Records

The Block Data Structure (BDS) Header Records are generated automatically by the Engineering ESDN or Calterm III tools during the generation of a File A type. They contain the following information.

· Byte count of the data following the record type

· Header record type

· Offset to the data used with the name table name

· Block data structure content

Save/Restore Header Records

The Save/Restore header records are generated by hand. The default name for the file containing these records is hdr.dat. This file is uploaded with the Subfiles to the SPEED Server. The purpose of this file is to identify parameters whose values are preserved when a new calibration is loaded into an ECM. The content of the header file is pre-pended to the calibration as part of the assembly process. The implied intent for the entries of this file is that different date or version number ranges may be applied to the same parameter to handle a variety of locations for the same parameter. As reported, the present implementation of Engineering ESDN only performs the first date range preservations. Therefore, multiple lines containing different date ranges for the same parameter may not work.

The header contains the following data for each parameter.

· Application date range or version number- the calibration dates or version numbers that apply to the field in the form

· Start Date YYMMDD followed by End Date YYMMDD

OR

Start Version Number NNNNNNNN followed by End Version

Number NNNNNNNN

· Parameter name table name from E2M file

· Parameter table number from E2M file

· Parameter offset from E2M file

· Parameter length from E2M file

· The character semi-colon

· Comment

Example of GTIS 2.0 Header File Record

8718899999:0A06002318000600231800040002; Save/restore DP's Eng S/N

EC58 - check sum

87188 - start date (Day 188 of 1987)

99999 - end date (No ending date, use all dates)

0A060023180006000231800040002 - name table name, table number, offset, length

Save/restore DP's Eng S/N - comment: preserve engine serial number

Example of GTIS 3.8 Header File Record

1234567823456789: 0A06002318000600231800040002; Save/restore DP's Eng S/N

EC58 - check sum

12345678 - lowest supported calibration version number

23456789 - highest supported calibration version number

0A060023180006000231800040002 - name table name, table number, offset, length

Save/restore DP's Eng S/N - comment: preserve engine serial number

Save/Restore Header Records, Continued

Example of GTIS 4.5 Header File Record (XML format)

79B4

<compatibility_header>

<calibration_version>9.0.0.6</calibration_version> <module_name>CM???</module_name>

<first_prod_cfg_file_version>2003.01.01.0</first_prod_cfg_file_version>

<product_id>P1I</product_id>

<module_part_number>3954430</module_part_number>

<interface_level>4.5.0.0</interface_level>

<creation_date>2003-10-16</creation_date> <start_boot_loader_version>4.6.0.1</start_boot_loader_version>

<end_boot_loader_version>4.9.9.9</end_boot_loader_version>

<byte_order>BigEndian</byte_order>

<index_table_address>00500000</index_table_address>

<file_descriptor>Midrange Industrial II Phase 9 Copyright Cummins Engine Company, Inc. Cummins Confidential</file_descriptor>

</compatibility_header>


How To Use Excel with Logger data

Introduction

Calterm III supports the recording of Logger data in CSV (Excel) format. However, Microsoft Excel does not support the logger’s time stamp format or automatic widths of columnar output. This section will instruct the user to configure the Excel spreadsheet to display Calterm III Logger data accurately.

Configuring Excel with Logger data

This table outlines the steps necessary to configure Excel to read Logger data accurately.

Step | Action
1 | From the Tools menu, Select Options-Logging. Result: The Logging section of the Options dialog box displays.
2 | Set and/or Verify Display Log File is checked and the Default Format is set to CSV, then Click <OK> Result: The correct options are set to record Logger data to Excel.
3 | Record a Logging session. Result: The Logging file Save-As dialog box is navigated and the Logger data is opened in Excel
4 |  | With the Excel file open, move the mouse pointer on the gray bar between columns A and B until a Cross-shaped Double-arrow appears, then Double-Click. Result: Column A will auto-format its width to the largest character string within the column.
5 |  | Repeat the previous step with columns B and C, etc. until all columns have been auto-formatted.
6 |  | In the Time-stamp field (Column B), using the mouse, Highlight every numeric cell within that column, Right-Click and Select the Format Cells option. Result: The Format Cells dialog box opens.
7 |  | In the Category field, Select the Custom option.
8 |  | In the Type field, Erase the General setting, Type HH.MM.SS.000 and Click <OK>. Result: The Logger data now displays the correct Time-stamp.


User Level Access Functional Matrix

Introduction

The Calterm III application is designed to support a wide variety of users and access levels. The Calterm III tool will eventually replace Calterm II, NGET, Engineering ESDN, Unlock and Field Calterm. As a result, not all users need or are permitted to use the full functionality of the tool. With this in mind, Calterm III comes with five user access levels.

· Level 0 (Service) Enables user with basic Field Calterm functionality.

· Level 1 (Standard) Enables user with Calterm II and NGET functionality.

· Level 2 (Secure) Enables user with Calterm II, NGET and Unlock tool functionality.

· Level 3 (Enterprise) Enables user with Calterm II, NGET, Unlock and Engineering ESDN functionality.

· Level 4 (Service Pro) Contains the same functionality as Level 0 (Service) plus the capability to Download to a secure module.

User Level Matrix

This table documents the functional capabilities of each User Level sorted by menu item as it appears in the Calterm III application.

Description

Level 0

Level 1

Level 2

Level 3

Level 4

Service

Standard

Secure

Enterprise

Service Pro

File Menu

Select Product

Yes

Yes

Yes

Yes

Yes

Open Module

Yes

Yes

Yes

Yes

Yes

Open Calibration

No

Yes

Yes

Yes

No

Open Subfile

No

Yes

Yes

Yes

No

Close

Yes

Yes

Yes

Yes

Yes

Save

No

Yes

Yes

Yes

No

Save As

No

Yes

Yes

Yes

No

Save All

No

Yes

Yes

Yes

No

Print

No

Yes

Yes

Yes

No

Exit

Yes

Yes

Yes

Yes

Yes

Edit Menu

Undo

Yes

Yes

Yes

Yes

Yes

Revert All

Yes

Yes

Yes

Yes

Yes

Copy

Yes

Yes

Yes

Yes

Yes

Paste

Yes

Yes

Yes

Yes

Yes

Select All

Yes

Yes

Yes

Yes

Yes

Enforce Range Limits

Yes

Yes

Yes

Yes

Yes

Clip to Range Limits

No

Yes

Yes

Yes

No

Ignore Range Limits

No

Yes

Yes

Yes

No

View Menu |  |  |  |  |
Module Monitor | Yes | Yes | Yes | Yes | Yes
Module Editor | No | Yes | Yes | Yes | No
Module Hex Editor | No | Yes | Yes | Yes | No
Calibration Editor | No | Yes | Yes | Yes | No
Calibration Hex Editor | No | Yes | Yes | Yes | No
Decimal View | Yes | Yes | Yes | Yes | Yes
Hex View | Yes | Yes | Yes | Yes | Yes
Binary View | Yes | Yes | Yes | Yes | Yes
View Log File | Yes | Yes | Yes | Yes | Yes
View Compare Report | Yes | Yes | Yes | Yes | Yes
View Document Report | Yes | Yes | Yes | Yes | Yes
View Overlay Report | No | Yes | Yes | Yes | No
Monitor Menu |  |  |  |  |
Request/Receive mode | Yes | Yes | Yes | Yes | Yes
BAM mode | Yes | Yes | Yes | Yes | Yes
Start | Yes | Yes | Yes | Yes | Yes
Stop | Yes | Yes | Yes | Yes | Yes
Open Screen File | Yes | Yes | Yes | Yes | Yes
Save Screen File | Yes | Yes | Yes | Yes | Yes
Save Screen File As… | Yes | Yes | Yes | Yes | Yes
Add Screen | Yes | Yes | Yes | Yes | Yes
Delete Screen | Yes | Yes | Yes | Yes | Yes
Next Screen | Yes | Yes | Yes | Yes | Yes
Previous Screen | Yes | Yes | Yes | Yes | Yes
Parameter Search F1 | Yes | Yes | Yes | Yes | Yes
Block Selected Faults | No | Yes | Yes | Yes | No
Unblock Selected Faults | No | Yes | Yes | Yes | No
Send Operation | Yes | Yes | Yes | Yes | Yes

Logging Menu |  |  |  |  |
Start | Yes | Yes | Yes | Yes | Yes
Stop | Yes | Yes | Yes | Yes | Yes
Request/Receive Logging | Yes | Yes | Yes | Yes | Yes
BAM Logging | Yes | Yes | Yes | Yes | Yes
Internal Data Logging IDL | Yes | Yes | Yes | Yes | Yes
Commands Menu |  |  |  |  |
Request ChangeLock | Yes | Yes | Yes | Yes | Yes
Release ChangeLock | Yes | Yes | Yes | Yes | Yes
Run from Application | No | Yes | Yes | Yes | No
Run from Boot | No | Yes | Yes | Yes | No
Save Changes | No | Yes | Yes | Yes | No
Hold Changes | No | Yes | Yes | Yes | No
Cancel Changes | Yes | Yes | Yes | Yes | Yes
Display ChangeLock Owner | Yes | Yes | Yes | Yes | Yes
Display Client Device Path | Yes | Yes | Yes | Yes | Yes
Erase Active Faults | Yes | Yes | Yes | Yes | Yes
Erase Inactive Faults | Yes | Yes | Yes | Yes | Yes
Erase All Faults | Yes | Yes | Yes | Yes | Yes
Start Broadcast | Yes | Yes | Yes | Yes | Yes
Stop Broadcast | Yes | Yes | Yes | Yes | Yes
Toggle Security Key | No | No | Yes | Yes | No
Reconnnect ECM | Yes | Yes | Yes | Yes | Yes
Reset Datalink | Yes | Yes | Yes | Yes | Yes
Calibration Menu |  |  |  |  |
Download to non-Secure Module | No | Yes | Yes | Yes | No
Download to Secure Module | No | No | No | No | Yes
Upload from Module | Yes | Yes | Yes | Yes | Yes

Tools Menu |  |  |  |  |
CRC Files | No | No | Yes | Yes | No
Compare | Yes | Yes | Yes | Yes | Yes
Document | Yes | Yes | Yes | Yes | Yes
Export | No | Yes | Yes | Yes | No
Overlay | No | Yes | Yes | Yes | No
SPEED Download | No | No | No | Yes | No
SPEED Upload | No | No | No | Yes | No
Divide | No | No | No | Yes | No
Assemble | No | No | No | Yes | No
Options | Yes | Yes | Yes | Yes | Yes
Help Menu |  |  |  |  |
Index | Yes | Yes | Yes | Yes | Yes
Function Key List F10 | Yes | Yes | Yes | Yes | Yes
License Agreement | Yes | Yes | Yes | Yes | Yes
About Calterm III | Yes | Yes | Yes | Yes | Yes